/*
Copyright (c) 2008, Dirk Krause
All rights reserved.

Redistribution and use in source and binary forms,
with or without modification, are permitted provided
that the following conditions are met:

* Redistributions of source code must retain the above
  copyright notice, this list of conditions and the
  following disclaimer.
* Redistributions in binary form must reproduce the above 
  opyright notice, this list of conditions and the following
  disclaimer in the documentation and/or other materials
  provided with the distribution.
* Neither the name of the Dirk Krause nor the names of
  its contributors may be used to endorse or promote
  products derived from this software without specific
  prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED.
IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
DAMAGE.
*/

package traceccgui;

/**
 *
 * @author krause
 */
public class TGS {
    
 /** The project web site for help. */
 public static final String projectUri =
 "http://dklibs.sourceforge.net/tracegui.html";
 
  /** License terms. */
  public static final String licenseTerms =
    "<html>\n"
    + "<head>\n"
    + "</head>\n"
    + "<body>\n"
    + "<p>This is Tracecc GUI, version 1.2.0</p>"
    + "<p>\n"
    + "Copyright (c) 2008, Dirk Krause<br>\n"
    + "All rights reserved.\n"
    + "</p>\n"
    + "<p>\n"
    + "Redistribution and use in source and binary forms,\n"
    + "with or without modification, are permitted provided\n"
    + "that the following conditions are met:\n"
    + "<ul>\n"
    + "<li>Redistributions of source code must retain the above\n"
    + "copyright notice, this list of conditions and the\n"
    + "following disclaimer.</li>\n"
    + "<li>Redistributions in binary form must reproduce the above \n"
    + "opyright notice, this list of conditions and the following\n"
    + "disclaimer in the documentation and/or other materials\n"
    + "provided with the distribution.</li>\n"
    + "<li>Neither the name of the Dirk Krause nor the names of\n"
    + "its contributors may be used to endorse or promote\n"
    + "products derived from this software without specific\n"
    + "prior written permission.</li>\n"
    + "</ul>\n"
    + "THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND\n"
    + "CONTRIBUTORS \"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES,\n"
    + "INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF\n"
    + "MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n"
    + "DISCLAIMED.<br>\n"
    + "IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE\n"
    + "LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,\n"
    + "EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\n"
    + "LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n"
    + "LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)\n"
    + "HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN\n"
    + "CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE\n"
    + "OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\n"
    + "SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH\n"
    + "DAMAGE.\n"
    + "</p>\n"
    + "</body>\n"
    + "</html>\n";
  
  /** Default texts for labels. */
  public static final String[] ltdef = {
    /*   0 */	"TraceccGUI",
    /*   1 */	"File",
    /*   2 */	"Setup",
    /*   3 */	"Help",
    /*   4 */	"ChooseDirectory.png",
    /*   5 */	"Options.png",
    /*   6 */	"Run.png",
    /*   7 */	"Exit.png",
    /*   8 */	"Directory:",
    /*   9 */	"Ready",
    /*  10 */	".",
    /*  11 */	"",
    /*  12 */	"tracegui.png",
    /*  13 */	"Tracecc GUI options",
    /*  14 */	"Check modfication timestamps",
    /*  15 */	"Always show log output",
    /*  16 */	"=>",
    /*  17 */	".ctr",
    /*  18 */	".c",
    /*  19 */	".cpt",
    /*  20 */	".c",
    /*  21 */	".mtr",
    /*  22 */	".m",
    /*  23 */	".jtr",
    /*  24 */	".java",
    /*  25 */	".jl",
    /*  26 */	".java",
    /*  27 */	"75",
    /*  28 */	"Write \"#line ...\" information",
    /*  29 */	"Allow C++ style comments in C output",
    /*  30 */	"Comment box width:",
    /*  31 */	"Produce debug output",
    /*  32 */	"Write debug output to stdout",
    /*  33 */	"Prepare debug output for IDE:",
    /*  34 */	"Include timestamp in debug output",
    /*  35 */	"Include \"trace\" keyword in debug output",
    /*  36 */	"General options",
    /*  37 */	"Input file types",
    /*  38 */	"Output options",
    /*  39 */	"Debug options",
    /*  40 */   "Version and license information",
    /*  41 */   "Tracecc GUI help",
    /*  42 */   "index.html",
    /*  43 */   "Log output",
    /*  44 */   "Searching",
    /*  45 */   "tracecc",
    /*  46 */   "jlayout",
    /*  47 */	"Choose a directory",
    /*  48 */	"Set options",
    /*  49 */	"Run conversions",
    /*  50 */	"Exit the application",
    /*  51 */	"Change GUI defaults",
    /*  52 */	"Open local help text delivered with the application",
    /*  53 */	"Open web page providing help",
    /*  54 */	"Show version and license information",
    /*  55 */	"Compare source and destination modification times, run conversion only if necessary",
    /*  56 */	"Show log output after each conversion, not only on errors",
    /*  57 */	"Convert *.ctr files to *.c",
    /*  58 */	"Convert *.cpt files to *.cpp",
    /*  59 */	"Convert *.mtr files to *.m (Objective-C, not the mathematics software)",
    /*  60 */	"Convert *.jtr files to *.java",
    /*  61 */	"Merge *.jl files into *.java files",
    /*  62 */	"Add \"#line ...\" preprocessor directives to *.c and *.cpp output",
    /*  63 */	"Allow C++ style comments in *.c output files",
    /*  64 */	"Set width of comment boxes (number of columns)",
    /*  65 */	"Produce debug output",
    /*  66 */	"Debug output goes to standard output",
    /*  67 */	"Produce debug output in one of the well-known styles (see choices beside)",
    /*  68 */	"Choose one of the styles for debug output",
    /*  69 */	"Add timestamps to debug output",
    /*  70 */	"Add \"trace\" keyword to debug output",
    /*  71 */	"Apply settings and close dialog box",
    /*  72 */	"Discard settings and close dialog box",
    /*  73 */	"Reload program settings into dialog box",
    /*  74 */	"Suggest reasonable defaults",
  };
  
  /** Default action commands. */
  public static final String[] acdef = {
    /*   0 */	"Directory",
    /*   1 */	"Options",
    /*   2 */	"Run",
    /*   3 */	"Exit",
    /*   4 */	"GUI",
    /*   5 */	"Local help",
    /*   6 */	"Web site",
    /*   7 */	"About Tracecc GUI",
    /*   8 */	"OK",
    /*   9 */	"Cancel",
    /*  10 */	"Reset",
    /*  11 */	"Defaults",
  };
  
  /** IDE names. */
  public static final String[] idedef = {
    "gcc", "msvc", "workshop", "tasm"
  };
  
  /** Label texts. */
  public static String lt[] = ltdef;
  
  /** Action commands */
  public static String ac[] = acdef;
  
  /** IDE names */
  public static String ide[] = idedef;
}



// project tracegui
// @(#)TGS.java 1.2 07/09/08


