# Copyright (c) 2008, Dirk Krause
# All rights reserved.
# 
# Redistribution and use in source and binary forms,
# with or without modification, are permitted provided
# that the following conditions are met:
# 
# * Redistributions of source code must retain the above
#   copyright notice, this list of conditions and the
#   following disclaimer.
# * Redistributions in binary form must reproduce the above 
#   opyright notice, this list of conditions and the following
#   disclaimer in the documentation and/or other materials
#   provided with the distribution.
# * Neither the name of the Dirk Krause nor the names of
#   its contributors may be used to endorse or promote
#   products derived from this software without specific
#   prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED.
# IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.



# project tracegui
# @(#)TraceccMainWindow.jl 1.1 07/09/08



.option	use tool tip text as accessible description = yes
.default	border	=	b
.default	fill	=	none
.default	anchor	=	west

border			=	b
fill			=	none
title			=	TGS.lt[0]
layout			=	border
menu bar		=	mb
default close operation	=	dispose
contents		=	tbButtons	page_start
contents		=	pContents	center

[JMenuBar mb]
contents		=	mFile
contents		=	mSetup
contents		=	$glue
contents		=	mHelp

[JMenu mFile]
text			=	TGS.lt[1]
contents		=	mDirectory
contents		=	mOptions
contents		=	mRun
contents		=	mExit

[JMenuItem mDirectory]
text			=	TGS.ac[0]
action listener		=	this
tool tip text		=	TGS.lt[47]

[JMenuItem mOptions]
text			=	TGS.ac[1]
action listener		=	this
tool tip text		=	TGS.lt[48]

[JMenuItem mRun]
text			=	TGS.ac[2]
action listener		=	this
tool tip text		=	TGS.lt[49]

[JMenuItem mExit]
text			=	TGS.ac[3]
action listener		=	this
tool tip text		=	TGS.lt[50]

[JMenu mSetup]
text			=	TGS.lt[2]
contents		=	mGui

[JMenuItem mGui]
text			=	TGS.ac[4]
action listener		=	this
tool tip text		=	TGS.lt[51]

[JMenu mHelp]
text			=	TGS.lt[3]
contents		=	mLocalHelp
contents		=	mWebHelp
contents		=	mAbout

[JMenuItem mLocalHelp]
text			=	TGS.ac[5]
action listener		=	this
tool tip text		=	TGS.lt[52]

[JMenuItem mWebHelp]
text			=	TGS.ac[6]
action listener		=	this
tool tip text		=	TGS.lt[53]

[JMenuItem mAbout]
text			=	TGS.ac[7]
action listener		=	this
tool tip text		=	TGS.lt[54]

[JToolBar tbButtons]
contents		=	bDirectory
contents		=	bOptions
contents		=	bRun
contents		=	bExit

[JButton bDirectory]
icon file name		=	TGS.lt[4]
action listener		=	this
action command		=	TGS.ac[0]
tool tip text		=	TGS.lt[47]

[JButton bOptions]
icon file name		=	TGS.lt[5]
action listener		=	this
action command		=	TGS.ac[1]
tool tip text		=	TGS.lt[48]

[JButton bRun]
icon file name		=	TGS.lt[6]
action listener		=	this
action command		=	TGS.ac[2]
tool tip text		=	TGS.lt[49]

[JButton bExit]
icon file name		=	TGS.lt[7]
action listener		=	this
action command		=	TGS.ac[3]
tool tip text		=	TGS.lt[50]

[JPanel pContents]
layout			=	gridbag
contents		=	lIcon		 0  0  2  1
contents		=	lDir		 0 +1  1  1
contents		=	lCurrentDir	+1  .  1  1
contents		=	lStatus		 0 +1  1  1
contents		=	lCurrentStatus	+1  .  1  1
transfer handler	=	dh

[JLabel lIcon]
anchor			=	center
icon file name		=	TGS.lt[12]
transfer handler	=	dh

[JLabel lDir]
text			=	TGS.lt[8]
anchor			=	east
transfer handler	=	dh

[JLabel lCurrentDir]
text			=	TGS.lt[10]
transfer handler	=	dh

[JLabel lStatus]
text			=	TGS.lt[9]
anchor			=	east
foreground		=	cGreen
transfer handler	=	dh

[JLabel lCurrentStatus]
text			=	TGS.lt[11]
transfer handler	=	dh

