# Copyright (c) 2008, Dirk Krause
# All rights reserved.
# 
# Redistribution and use in source and binary forms,
# with or without modification, are permitted provided
# that the following conditions are met:
# 
# * Redistributions of source code must retain the above
#   copyright notice, this list of conditions and the
#   following disclaimer.
# * Redistributions in binary form must reproduce the above 
#   opyright notice, this list of conditions and the following
#   disclaimer in the documentation and/or other materials
#   provided with the distribution.
# * Neither the name of the Dirk Krause nor the names of
#   its contributors may be used to endorse or promote
#   products derived from this software without specific
#   prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
# CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED.
# IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.



# project tracegui
# @(#)TraceccOptionsDialog.jl 1.1 07/09/08



.option	use tool tip text as accessible description = yes
.default	border	=	b
.default	fill	=	none
.default	anchor	=	west

border			=	b
fill			=	none
title			=	TGS.lt[13]
default close operation	=	hide
layout			=	gridbag

contents		=	pGeneralOptions		 0  0  1  1
contents		=	pOutputOptions		+1  .  1  1
contents		=	pFiles			 0 +1  1  1
contents		=	pDebugOptions		+1  .  1  1
contents		=	pButtons		 0 +1  2  1

[JPanel pGeneralOptions]
fill			=	both
component border	=	titled TGS.lt[36]
layout			=	gridbag
contents		=	cbMakeMode	 0  0  1  1
contents		=	cbAlwaysOpenLog	 0 +1  1  1
border weight		=	0 0 1 1

[JPanel pFiles]
fill			=	both
component border	=	titled TGS.lt[37]
layout			=	gridbag
contents		=	cbFtCtr		 0  0  1  1
contents		=	l1FtCtr		+1  .  1  1
contents		=	l2FtCtr		+1  .  1  1
contents		=	cbFtCpt		 0 +1  1  1
contents		=	l1FtCpt		+1  .  1  1
contents		=	l2FtCpt		+1  .  1  1
contents		=	cbFtMtr		 0 +1  1  1
contents		=	l1FtMtr		+1  .  1  1
contents		=	l2FtMtr		+1  .  1  1
contents		=	cbFtJtr		 0 +1  1  1
contents		=	l1FtJtr		+1  .  1  1
contents		=	l2FtJtr		+1  .  1  1
contents		=	cbFtJl		 0 +1  1  1
contents		=	l1FtJl		+1  .  1  1
contents		=	l2FtJl		+1  .  1  1
border weight		=	0 0 1 1


[JPanel pOutputOptions]
fill			=	both
component border	=	titled TGS.lt[38]
layout			=	gridbag
contents		=	cbLineNumbers	 0  0  3  1
contents		=	cbCplusplus	 0 +1  3  1
contents		=	pDummy1		 0 +1  1  1
contents		=	lOutputWidth	 1  .  1  1
contents		=	tfOutputWidth	+1  .  1  1
border weight		=	0 0 1 1

[JPanel pDebugOptions]
fill			=	both
component border	=	titled TGS.lt[39]
layout			=	gridbag
contents		=	cbDoDebug		 0  0  3  1
contents		=	pDummy2			 0 +1  1  1
contents		=	cbDebugStdout		 1  .  2  1
contents		=	cbDebugIde		 1 +1  1  1
contents		=	cbDebugChooseIde	+1  .  1  1
contents		=	cbDebugTime		 1 +1  2  1
contents		=	cbDebugTraceKey		 1 +1  2  1
border weight		=	0 0 1 1

[JPanel pDummy2]
minimum size		=	10 10
preferred size		=	15 15


[JCheckBox cbMakeMode]
text			=	TGS.lt[14]
tool tip text		=	TGS.lt[55]

[JCheckBox cbAlwaysOpenLog]
text			=	TGS.lt[15]
tool tip text		=	TGS.lt[56]

[JCheckBox cbFtCtr]
text			=	TGS.lt[17]
tool tip text		=	TGS.lt[57]

[JCheckBox cbFtCpt]
text			=	TGS.lt[19]
tool tip text		=	TGS.lt[58]

[JCheckBox cbFtMtr]
text			=	TGS.lt[21]
tool tip text		=	TGS.lt[59]

[JCheckBox cbFtJtr]
text			=	TGS.lt[23]
tool tip text		=	TGS.lt[60]

[JCheckBox cbFtJl]
text			=	TGS.lt[25]
tool tip text		=	TGS.lt[61]

[JLabel l1FtCtr]
text			=	TGS.lt[16]

[JLabel l1FtCpt]
text			=	TGS.lt[16]

[JLabel l1FtMtr]
text			=	TGS.lt[16]

[JLabel l1FtJtr]
text			=	TGS.lt[16]

[JLabel l1FtJl]
text			=	TGS.lt[16]

[JLabel l2FtCtr]
text			=	TGS.lt[18]

[JLabel l2FtCpt]
text			=	TGS.lt[20]

[JLabel l2FtMtr]
text			=	TGS.lt[22]

[JLabel l2FtJtr]
text			=	TGS.lt[24]

[JLabel l2FtJl]
text			=	TGS.lt[26]

[JPanel pDummy1]
minimum size		=	10 10
preferred size		=	15 15

[JCheckBox cbLineNumbers]
text			=	TGS.lt[28]
tool tip text		=	TGS.lt[62]

[JCheckBox cbCplusplus]
text			=	TGS.lt[29]
tool tip text		=	TGS.lt[63]

[JLabel lOutputWidth]
text			=	TGS.lt[30]
anchor			=	east

[JTextField tfOutputWidth]
constructor		=	3
text			=	TGS.lt[27]
tool tip text		=	TGS.lt[64]

[JCheckBox cbDoDebug]
text			=	TGS.lt[31]
item listener		=	this
tool tip text		=	TGS.lt[65]

[JCheckBox cbDebugStdout]
text			=	TGS.lt[32]
tool tip text		=	TGS.lt[66]

[JCheckBox cbDebugIde]
text			=	TGS.lt[33]
item listener		=	this
tool tip text		=	TGS.lt[67]

[JComboBox cbDebugChooseIde]
constructor		=	TGS.ide
tool tip text		=	TGS.lt[68]

[JCheckBox cbDebugTime]
text			=	TGS.lt[34]
tool tip text		=	TGS.lt[69]

[JCheckBox cbDebugTraceKey]
text			=	TGS.lt[35]
tool tip text		=	TGS.lt[70]

[JPanel pButtons]
anchor			=	center
layout			=	box.line_axis
contents		=	$glue
contents		=	bOK
contents		=	bCancel
contents		=	bReset
contents		=	bDefaults
contents		=	$glue

[JButton bOK]
text			=	TGS.ac[8]
action listener		=	this
size group		=	sgButtons
tool tip text		=	TGS.lt[71]

[JButton bCancel]
text			=	TGS.ac[9]
action listener		=	this
size group		=	sgButtons
tool tip text		=	TGS.lt[72]

[JButton bReset]
text			=	TGS.ac[10]
action listener		=	this
size group		=	sgButtons
tool tip text		=	TGS.lt[73]

[JButton bDefaults]
text			=	TGS.ac[11]
action listener		=	this
size group		=	sgButtons
tool tip text		=	TGS.lt[74]
