#
# START OF CONFIGURATION SECTION.
#
# You may need to customize this section.
#

# Toggle this section to enable LZW compression.
# NOTE: This feature is not yet available.
# If LZW compression is protected by patents in your country use LZW
# compression only if you have obtained a license.
# Unisys U.S. LZW patent No. 4,558,302 expired on June 20, 3003, the
# counterpart patents in some other countries expired too.
# Please consult with your own legal counsel regarding your particular
# situation.
#
# CFLZW=-DHAVE_LZW=1 -DDK_HAVE_LZW=1
CFLZW=-DHAVE_LZW=0 -DDK_HAVE_LZW=0

# does xcopy need a special option to overwrite
# files without prompting
XCOPYFL= /Y

# Where do you want to install the software?
PROGRAMS=C:\Programme
VENDOR=Krause
# PREFIX=$(PROGRAMS)\$(VENDOR)
# PREFIX=C:\P\Kr
PREFIX=C:\Programs\Krause

exec_prefix = $(PREFIX)
bindir = $(exec_prefix)\bin
sbindir = $(exec_prefix)\sbin
libexecdir = $(exec_prefix)\libexec
datadir = $(PREFIX)\share
sysconfdir = $(PREFIX)\etc
libdir = $(exec_prefix)\lib
sharedlibdir = $(libdir)\shared
mandir = $(PREFIX)\man
includedir = $(PREFIX)\include
srcdir = .
top_srcdir = .

# Where do the existing libraries reside?
LIBSRC=C:\P\lib-dll

# Which programs to use for compiling and linking?
CC=CL
LD=LINK

# MT   Multi-Thread, Release, static  -> LIBCMT.LIB
# MTd  ..., Debug, ...                -> LIBCMTD.LIB
# ML   Single-Thread, Release, static -> LIBC.LIB
# MLd  ..., Debug, ...                -> LIBCD.LIB
# MD   Multi-Thread, Release, DLL     -> MSVCRT.LIB
# MDd  ..., Debug, ...                -> MSVCRTD.LIB
COPTIONS= /nologo /MD /W3 /O2 -D "WIN32" -D "_WIN32" /D "_MT" /D "_DLL" /D "NDEBUG" /D "_CONSOLE" /YX /FD /QI0f /QIfdiv
# COPTIONS= /nologo /MD /W3 /O2 -D "WIN32" -D "_WIN32" /D "_MT" /D "_DLL" /D "NDEBUG" /D "_CONSOLE" /FD -D_CRT_SECURE_NO_WARNINGS=1 -D_CRT_SECURE_NO_DEPRECATE=1

#
# Where is Visual C?
# Directories lib, include and bin must be beyound this.
#
# VC=$(PROGRAMS)\Microsoft Visual Studio .NET 2003\Vc7
# VC=$(PROGRAMS)\Microsoft Visual Studio\Vc98
VC=$(PROGRAMS)\DevStudio\Vc
# VC=$(PROGRAMS)\Microsoft Visual Studio 8\VC
# PLATFORMSDK=$(VC)
PLATFORMSDK=$(VC)\PlatformSDK

# System configuration directory
SCD=	-DSYSCONFDIR=\"C:\\ETC\"

# BZ2LIB
# ------
# BZL_DEF=-DHAVE_BZLIB_H=0
# BZL_DIR=
# BZL_LIB=
# BZL_DLL=libbz2.dll
BZL_DEF=-DHAVE_BZLIB_H=1
BZL_DIR=-I$(LIBSRC)\Include
BZL_LIB=$(LIBSRC)\lib\libbz2.lib
BZL_DLL=$(LIBSRC)\bin\libbz2.dll


# ZLIB
# ----
# ZL_DEF=-DHAVE_ZLIB_H=0
# ZL_DIR=
# ZL_LIB=
# ZL_DLL=zlib1.dll
ZL_DEF=-DHAVE_ZLIB_H=1
ZL_DIR=-I$(LIBSRC)\Include
ZL_LIB=$(LIBSRC)\lib\zdll.lib
ZL_DLL=$(LIBSRC)\bin\zlib1.dll

# PNGLIB
# ------
# PNG_DEF=-DHAVE_LIBPNG=0 -DHAVE_PNG_H=0
# PNG_DLL=libpng.dll
PNG_DEF=-DHAVE_LIBPNG=1 -DHAVE_PNG_H=1
PNG_DIR=-I$(LIBSRC)\Include
PNG_LIB=$(LIBSRC)\Lib\libpng.lib
PNG_DLL=$(LIBSRC)\bin\libpng.dll
PNGEPSOBJ=pngeps.obj
BMEPSEXE=bmeps.exe

# JPEGLIB
# -------
# JPG_DEF=-DHAVE_JPEGLIB_H=0
# JPG_DLL2=libjpeg.dll
JPG_DEF=-DHAVE_JPEGLIB_H=1
JPG_DIR=-I$(LIBSRC)\Include
JPG_LIB=$(LIBSRC)\Lib\libjpeg.lib
JPG_DLL2=$(LIBSRC)\Bin\libjpeg.dll
JPGEPSOBJ=jpgeps.obj

# TIFFLIB - maybe after June 2003
# TIF_DEF=-DHAVE_TIFF_H=0
TIF_DLL=libtiff.dll
TIF_DEF=-DHAVE_TIFF_H=1
TIF_DIR=-I$(LIBSRC)\Include
TIF_LIB=$(LIBSRC)\Lib\libtiff_i.lib
TIF_DLL=$(LIBSRC)\Bin\libtiff.dll
TIFEPSOBJ=tifeps.obj

# NETPBM
# ------
# PNM_DEF=-DHAVE_PNM_H=0
# PNM_DLL=netpbm.dll
PNM_DEF=-DHAVE_PNM_H=1
PNM_DIR=-I$(LIBSRC)\Include
PNM_LIB=$(LIBSRC)\Lib\netpbm.lib
PNM_DLL=$(LIBSRC)\Bin\netpbm.dll
PNMEPSOBJ=pnmeps.obj


# OpenSSL
# -------
# CRYPTO_1=-DHAVE_OPENSSL_MD5_H=0 -DHAVE_OPENSSL_SHA_H=0 -DHAVE_OPENSSL_RIPEMD_H=0 -DHAVE_OPENSSL_RAND_H=0
# CRYPTO_2=-DHAVE_SHA224=0 -DHAVE_SHA256=0 -DHAVE_SHA384=0 -DHAVE_SHA512=0
# CRYPTO_DEF= $(CRYPTO_1) $(CRYPTO_2)
# CRYPTO_DLL=
# CRYPTO_LIB=
# CRYPTO_DIR=
# CRYPTO_CP1=echo No need for $(LIBSRC)\Bin\LIBEAY32.DLL
# CRYPTO_CP2=echo No need for $(LIBSRC)\Bin\SSLEAY32.DLL
# CRYPTO_CHKSUM=
CRYPTO_1=-DHAVE_OPENSSL_MD5_H=1 -DHAVE_OPENSSL_SHA_H=1 -DHAVE_OPENSSL_RAND_H=1 -DHAVE_OPENSSL_RIPEMD_H=1
CRYPTO_2=-DHAVE_SHA224=1 -DHAVE_SHA256=1 -DHAVE_SHA384=1 -DHAVE_SHA512=1
CRYPTO_DEF= $(CRYPTO_1) $(CRYPTO_2)
CRYPTO_DLL=$(LIBSRC)\Bin\LIBEAY32.DLL $(LIBSRC)\Bin\SSLEAY32.DLL
CRYPTO_LIB=$(LIBSRC)\LIB\LIBEAY32.LIB $(LIBSRC)\LIB\SSLEAY32.LIB
CRYPTO_DIR=-I$(LIBSRC)\Include
CRYPTO_CP1=xcopy $(LIBSRC)\Bin\LIBEAY32.DLL $(PREFIX)\bin
CRYPTO_CP2=xcopy $(LIBSRC)\Bin\SSLEAY32.DLL $(PREFIX)\bin
CRYPTO_CHKSUM=fchksum.exe fchksize.exe


# NET-SNMP
# --------
# SNMP_DEF=-DHAVE_LIBNETSNMP=0 -DHAVE_LIBUCDSNMP=0
# SNMP_DLL=netsnmp.dll
# SNMP_DIR=
# SNMP_LIB=
# SNMPYALC=
SNMPYALC=snmpyalc.exe klpinfo.exe
SNMP_DEF=-DHAVE_LIBNETSNMP=1 -DHAVE_LIBUCDSNMP=0 -DNDEBUG -D_WINDOWS -DHAVE_MODE_T=1
SNMP_DIR=-I$(LIBSRC)\Include
SNMP_LIB=$(LIBSRC)\Lib\netsnmp.lib $(CRYPTO_LIB)
SNMP_DLL=$(LIBSRC)\Bin\netsnmp.dll
SNMP_LOG=-DHAVE_HORRIBLE_NETSNMP_LOGGING=1

#
# Toggle the following section to specify german
# as the default language.
#

# LANG=de
LANG=en

#
# END OF CONFIGURATION SECTION.
#
# No changes should be necessary below this line.
#

#
# CONF:
# how to build an EXE file
#
EXEFLAGS= /nologo /SUBSYSTEM:CONSOLE /INCREMENTAL:NO /RELEASE /MACHINE:I386 /LIBPATH:"$(VC)\lib" /LIBPATH:"$(LIBSRC)\LIB"
EXE=	LINK /nologo $(EXEFLAGS)

#
# CONF:
# how to build a DLL
#
DLLFLAGS= /nologo /SUBSYSTEM:CONSOLE /INCREMENTAL:NO /RELEASE /MACHINE:I386 /DLL /PDB:NONE /LIBPATH:"$(VC)\LIB" /LIBPATH:"$(LIBSRC)\LIB"
DLL= LINK /nologo $(DLLFLAGS)

#
# CONF:
# compile .c to .obj
#
DEF1= $(BZL_DEF) $(BZL_DIR)
DEF2= $(ZL_DEF) $(ZL_DIR)
DEF3= $(SNMP_DEF) $(SNMP_DIR)
DEF4= $(PNG_DEF) $(PNG_DIR)
DEF5= $(JPG_DEF) $(JPG_DIR)
DEF6= $(TIF_DEF) $(TIF_DIR)
DEF7= $(PNM_DEF) $(PNM_DIR)
DEF8= $(CRYPTO_DEF) $(CRYPTO_DIR)
DEF9= $(SNMP_LOG) $(CFLZW)

DEFS= $(DEF1) $(DEF2) $(DEF3) $(DEF4) $(DEF5) $(DEF6) $(DEF7) $(DEF8) $(DEF9)

COBJFLAGS= $(COPTIONS) /I. /I.. /I"$(VC)\Include" /I"$(PLATFORMSDK)\Include" $(SCD) $(DEFS)

.c.obj:
	$(CC) $(COBJFLAGS) $(CFLAGS) -c $*.c


.cpp.obj:
	$(CC) $(COBJFLAGS) $(CFLAGS) -c $*.cpp

LIB32=	kernel32.lib gdi32.lib advapi32.lib
WSC32=	ws2_32.lib

STCOPT= --/log/stderr/level=error --/log/stdout/level=none

all:	base progs

tool1= addctrld.exe dklogger.exe kls.exe ksort.exe createp.exe dkpwd.exe
tool2= genau.exe klammern.exe pdfcmb.exe psonly.exe tape.exe blksize.exe
tool3= klpr.exe klpq.exe klprm.exe klpc.exe echo2lat.exe text2lat.exe
tool4= showhex.exe fig2vect.exe dksavepw.exe rndbytes.exe jlayout.exe
tool5= text2htm.exe imgsize.exe filtmsql.exe dkwftreg.exe $(SNMPYALC) tcptool.exe
tool6= blks.exe $(CRYPTO_CHKSUM)
tools= $(tool1) $(tool2) $(tool3) $(tool4) $(tool5) $(tool6)

progs:	$(BMEPSEXE) $(tools)

base:	baselibs baseprogs

baseprogs:	stc.exe tracecc.exe trana.exe dkconfig.exe winsetup.exe jhelp.exe dkpref.exe

install:	all
	-mkdir $(PREFIX)
	-mkdir $(PREFIX)\include
	-mkdir $(PREFIX)\lib
	-mkdir $(PREFIX)\bin
	-mkdir $(PREFIX)\man
	-mkdir $(PREFIX)\docu
	-mkdir $(PREFIX)\share
	-mkdir $(PREFIX)\contrib
	-mkdir $(PREFIX)\contrib\kant_krishna
	-mkdir $(PREFIX)\windows
	-mkdir $(PREFIX)\windows\yanolc
	-mkdir $(PREFIX)\windows\fig2vect
	-mkdir $(PREFIX)\share\nsplines
	-mkdir $(PREFIX)\share\nsplines\m
	-mkdir $(PREFIX)\share\nsplines\sci
	-mkdir lib\tracecc
	-xcopy dktrace.c share\tracecc\ $(XCOPYFL)
	xcopy lib\*.* $(PREFIX)\lib /S $(XCOPYFL)
	xcopy share\*.* $(PREFIX)\share\ /S $(XCOPYFL)
	xcopy man\*.* $(PREFIX)\man /S $(XCOPYFL)
	xcopy *.exe $(PREFIX)\bin $(XCOPYFL)
	xcopy *.dll $(PREFIX)\bin $(XCOPYFL)
	xcopy *.jar $(PREFIX)\bin $(XCOPYFL)
	xcopy *.pl  $(PREFIX)\bin $(XCOPYFL)
	xcopy *.pm  $(PREFIX)\bin $(XCOPYFL)
	xcopy *.dll $(PREFIX)\bin $(XCOPYFL)
	xcopy *.h   $(PREFIX)\include $(XCOPYFL)
	xcopy *.lib $(PREFIX)\lib $(XCOPYFL)
	xcopy m\*.m $(PREFIX)\share\nsplines\m\ $(XCOPYFL)
	xcopy sci\*.sci $(PREFIX)\share\nsplines\sci\ $(XCOPYFL)
	-xcopy $(BZL_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(ZL_DLL)  $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(PNG_DLL) $(PREFIX)\bin $(XCOPYFL)
	-copy $(JPG_DLL2) $(PREFIX)\bin\libjpeg.dll
	-xcopy $(PNM_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(TIF_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(SNMP_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(CRYPTO_DLL) $(PREFIX)\bin $(XCOPYFL)
	-xcopy $(BZL_DLL) . $(XCOPYFL)
	-xcopy $(ZL_DLL)  . $(XCOPYFL)
	-xcopy $(PNG_DLL) . $(XCOPYFL)
	-copy $(JPG_DLL2) .\libjpeg.dll
	-xcopy $(PNM_DLL) . $(XCOPYFL)
	-xcopy $(SNMP_DLL) . $(XCOPYFL)
	-xcopy $(TIF_DLL) . $(XCOPYFL)
	-$(CRYPTO_CP1)
	-$(CRYPTO_CP2)
	.\stc $(STCOPT) stc.str $(PREFIX)\share\stc
	.\stc $(STCOPT) dkapp.str $(PREFIX)\share
	.\stc $(STCOPT) dkappe.str $(PREFIX)\share
	.\stc $(STCOPT) dkappd.str $(PREFIX)\share
	.\stc $(STCOPT) createp.str $(PREFIX)\share\dkt
	.\stc $(STCOPT) ksort.str $(PREFIX)\share\dkt
	.\stc $(STCOPT) kls.str $(PREFIX)\share\dkt
	.\stc $(STCOPT) dklogger.str $(PREFIX)\share\dklogger
	.\stc $(STCOPT) showhex.str $(PREFIX)\share\showhex
	.\stc $(STCOPT) dksavepw.str $(PREFIX)\share\dksavepw
	.\stc $(STCOPT) genau.str $(PREFIX)\share\genau
	.\stc $(STCOPT) genaup.str $(PREFIX)\share\genau
	.\stc $(STCOPT) yanolc.str $(PREFIX)\share\yanolc
	.\stc $(STCOPT) trana.str $(PREFIX)\share\trana
	.\stc $(STCOPT) tracecc.str $(PREFIX)\share\tracecc
	.\stc $(STCOPT) tracecca.str $(PREFIX)\share\tracecc
	.\stc $(STCOPT) showhex.str $(PREFIX)\share\showhex
	.\stc $(STCOPT) fig2vect.str $(PREFIX)\share\fig2vect
	.\stc $(STCOPT) rndbytes.str $(PREFIX)\share\rndbytes
	.\stc $(STCOPT) bmeps.str $(PREFIX)\share\bmeps
	.\stc $(STCOPT) jlayout.str $(PREFIX)\share\jlayout
	.\stc $(STCOPT) text2lat.str $(PREFIX)\share\text2lat
	.\stc $(STCOPT) text2htm.str $(PREFIX)\share\text2htm
	.\stc $(STCOPT) filtmsql.str $(PREFIX)\share\filtmsql
	.\stc $(STCOPT) imgsize.str $(PREFIX)\share\imgsize
	.\stc $(STCOPT) dkpref.str $(PREFIX)\share\dkpref
	xcopy $(PREFIX)\share\dkt\en\* $(PREFIX)\share\dkt\ $(XCOPYFL)
	xcopy $(PREFIX)\share\dklogger\en\* $(PREFIX)\share\dklogger\ $(XCOPYFL)
	xcopy $(PREFIX)\share\genau\en\* $(PREFIX)\share\genau\ $(XCOPYFL)
	xcopy $(PREFIX)\share\yanolc\en\* $(PREFIX)\share\yanolc\ $(XCOPYFL)
	xcopy $(PREFIX)\share\trana\en\* $(PREFIX)\share\trana\ $(XCOPYFL)
	xcopy $(PREFIX)\share\tracecc\en\* $(PREFIX)\share\tracecc\ $(XCOPYFL)
	xcopy $(PREFIX)\share\showhex\en\* $(PREFIX)\share\showhex\ $(XCOPYFL)
	xcopy $(PREFIX)\share\dksavepw\en\* $(PREFIX)\share\dksavepw\ $(XCOPYFL)
	xcopy $(PREFIX)\share\rndbytes\en\* $(PREFIX)\share\rndbytes\ $(XCOPYFL)
	xcopy $(PREFIX)\share\jlayout\en\* $(PREFIX)\share\jlayout\ $(XCOPYFL)
	xcopy $(PREFIX)\share\text2lat\en\* $(PREFIX)\share\text2lat\ $(XCOPYFL)
	xcopy $(PREFIX)\share\text2htm\en\* $(PREFIX)\share\text2htm\ $(XCOPYFL)
	xcopy $(PREFIX)\share\filtmsql\en\* $(PREFIX)\share\filtmsql\ $(XCOPYFL)
	xcopy $(PREFIX)\share\imgsize\en\* $(PREFIX)\share\imgsize\ $(XCOPYFL)
	xcopy $(PREFIX)\share\dkpref\en\* $(PREFIX)\share\dkpref\ $(XCOPYFL)
	-xcopy fig2vect.cfg $(PREFIX)\windows\fig2vect\ $(XCOPYFL)
	-xcopy fontmap.cfg $(PREFIX)\windows\fig2vect\ $(XCOPYFL)
	-xcopy winfont.cfg $(PREFIX)\windows\fig2vect\ $(XCOPYFL)
	-xcopy webfont.cfg $(PREFIX)\windows\fig2vect\ $(XCOPYFL)
	-xcopy combfont.cfg $(PREFIX)\windows\fig2vect\ $(XCOPYFL)
	-xcopy lib\yanolc.cfg.sample $(PREFIX)\windows\yanolc\ $(XCOPYFL)
	-xcopy lib\snmpyalc.cfg.sample $(PREFIX)\windows\yanolc\ $(XCOPYFL)
	-mkdir $(PREFIX)\docu\pdf
	-mkdir $(PREFIX)\docu\html
	-mkdir $(PREFIX)\docu\html\bmeps
	-mkdir $(PREFIX)\docu\html\yanolc
	xcopy DOCU\*.* $(PREFIX)\docu\ /S $(XCOPYFL)
	xcopy contrib\kant_krishna\*.* $(PREFIX)\contrib\kant_krishna\ /S $(XCOPYFL)
	-.\dkconfig > $(PREFIX)\include\dkconfig.h
	-.\dkwftreg $(PREFIX)
	dklogger -p auth.notice Installation of all-dll.mak finished

baselibs:	dkdll.lib dknet.lib dktrace.lib dklatsup.lib dkappr.lib

dkdll.lib:	dkdll.dll

LIBOBJS= \
  dkapp.obj \
  dkstt.obj \
  dksto.obj \
  dkof.obj \
  dkstream.obj \
  dkcp.obj \
  dkbf.obj \
  dkslsupp.obj \
  dkma.obj \
  dksf.obj \
  dkstrdc.obj \
  dkstr.obj \
  dkenc.obj \
  dkpstr.obj \
  dkmem.obj \
  dksignal.obj \
  dktrace.obj \
  dklic.obj

dkdll.dll:	$(LIBOBJS) dkdll.def
	$(DLL) $(LIB32) /def:"dkdll.def" /out:"dkdll.dll" /implib:"dkdll.lib" $(LIBOBJS) $(BZL_LIB) $(ZL_LIB)

dknet.lib:	dknet.dll

NETOBJS = \
  dktcpip.obj

dknet.dll:	$(NETOBJS) dkdll.lib
	$(DLL) $(LIB32) /def:"dknet.def" /out:"dknet.dll" /implib:"dknet.lib" $(NETOBJS) .\dkdll.lib $(WSC32)

dkappr.lib:	dkappr.dll

dkappr.dll:	dkappr.obj dkdll.lib
	$(DLL) $(LIB32) /def:"dkappr.def" /out:"dkappr.dll" /implib:"dkappr.lib" dkappr.obj .\dkdll.lib $(CRYPTO_LIB) $(WSC32)

TRACELIBOBJS=	dktrace.obj

dktrace.lib:	dktrace.dll

dktrace.dll:	$(TRACELIBOBJS)
	$(DLL) $(LIB32) /def:"dktrace.def" /out:"dktrace.dll" /implib:"dktrace.lib" $(TRACELIBOBJS) $(WSC32)

LATSUPOBJS=	dkl2l.obj dkle.obj dkfont.obj

dklatsup.lib:	dklatsup.dll

dklatsup.dll:	$(LATSUPOBJS)
	$(DLL) $(LIB32) /def:"dklatsup.def" /out:"dklatsup.dll" /implib:"dklatsup.lib" $(LATSUPOBJS) .\dkdll.lib $(WSC32)

stc.exe:	stc.obj dkdll.lib
	$(EXE) $(LIB32) /out:stc.exe stc.obj .\dkdll.lib

dkpref.exe:	dkpref.obj dkdll.lib
	$(EXE) $(LIB32) /out:dkpref.exe dkpref.obj .\dkdll.lib

jhelp.exe:	jhelp.obj dkdll.lib
	$(EXE) $(LIB32) /out:jhelp.exe jhelp.obj .\dkdll.lib

TRACECCOBJ=	tracecc.obj traceco.obj
tracecc.exe:	$(TRACECCOBJ) dkdll.lib
	$(EXE) $(LIB32) /out:tracecc.exe $(TRACECCOBJ) .\dkdll.lib

trana.exe:	trana.obj dkdll.lib
	$(EXE) $(LIB32) /out:trana.exe trana.obj .\dkdll.lib

dkconfig.exe:	dkconfig.obj dkdll.lib
	$(EXE) $(LIB32) /out:dkconfig.exe dkconfig.obj .\dkdll.lib

winsetup.exe:	winsetup.obj dkdll.lib
	$(EXE) $(LIB32) /out:winsetup.exe winsetup.obj .\dkdll.lib

addctrld.exe:	addctrld.obj base
	$(EXE) $(LIB32) /out:addctrld.exe addctrld.obj .\dkdll.lib

BMEPSOBJ=	b2dvips.obj\
	b2bo.obj\
	b2bj.obj\
	b2pdf.obj\
	b2eps.obj\
	b2str.obj\
	b2conv.obj\
	b2tool1.obj

DKBIFOBJ=	dkbif.obj\
	dkbifpng.obj\
	dkbifjpg.obj\
	dkbifja.obj\
	dkbifpbm.obj\
	dkbiftif.obj

IMGLIBS=	$(PNG_LIB) $(JPG_LIB) $(PNM_LIB) $(TIF_LIB)

bmeps.exe:	b2main.obj base bmeps.lib dkbif.lib
	$(EXE) $(LIB32) /out:bmeps.exe b2main.obj $(BMEPSOBJ) .\dkbif.lib .\dkdll.lib

bmeps.lib:	bmeps.dll

bmeps.dll:	$(BMEPSOBJ) dkbif.dll
	$(DLL) $(LIB32) /out:"bmeps.dll" /def:"bmeps.def" /implib:"bmeps.lib" $(BMEPSOBJ) .\dkbif.lib .\dkdll.lib $(ZL_LIB) $(BZL_LIB)

dkbif.dll:	$(DKBIFOBJ)
	$(DLL) $(LIB32) /out:"dkbif.dll" /def:"dkbif.def" /implib:"dkbif.lib" $(DKBIFOBJ) $(IMGLIBS) .\dkdll.lib $(ZL_LIB) $(BZL_LIB)

dklogger.exe:	dklogger.obj base
	$(EXE) $(LIB32) /out:dklogger.exe dklogger.obj .\dknet.lib .\dkdll.lib $(WSC32)

KLSOBJ=	kls.obj 
kls.exe:	$(KLSOBJ) base
	$(EXE) $(LIB32) /out:kls.exe $(KLSOBJ) .\dkdll.lib $(CRYPTO_LIB)

RNDBYTESOBJ=	rndbytes.obj 
rndbytes.exe:	$(RNDBYTESOBJ) base
	$(EXE) $(LIB32) /out:rndbytes.exe $(RNDBYTESOBJ) .\dkappr.lib .\dkdll.lib $(CRYPTO_LIB)

text2lat.exe:	text2lat.obj base
	$(EXE) $(LIB32) /out:text2lat.exe text2lat.obj .\dklatsup.lib .\dkdll.lib $(BZL_LIB) $(ZL_LIB)

ECHO2LAT_OBJS=	echo2lat.obj
echo2lat.exe:	$(ECHO2LAT_OBJS)
	$(EXE) $(LIB32) /out:echo2lat.exe $(ECHO2LAT_OBJS) .\dklatsup.lib .\dkdll.lib

text2htm.exe:	text2htm.obj base
	$(EXE) $(LIB32) /out:text2htm.exe text2htm.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB)

filtmsql.exe:	filtmsql.obj base
	$(EXE) $(LIB32) /out:filtmsql.exe filtmsql.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB)

imgsize.exe:	imgsize.obj base
	$(EXE) $(LIB32) /out:imgsize.exe imgsize.obj .\dkbif.lib .\dkdll.lib $(BZL_LIB) $(ZL_LIB)

dkwftreg.exe:	dkwftreg.obj base
	$(EXE) $(LIB32) /out:dkwftreg.exe dkwftreg.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB)

ksort.exe:	ksort.obj base
	$(EXE) $(LIB32) /out:ksort.exe ksort.obj .\dkdll.lib

createp.exe:	createp.obj base
	$(EXE) $(LIB32) /out:createp.exe createp.obj .\dkappr.lib .\dkdll.lib $(CRYPTO_LIB)

dkpwd.exe:	dkpwd.obj base
	$(EXE) $(LIB32) /out:dkpwd.exe dkpwd.obj .\dkdll.lib

klammern.exe:	klammern.obj base
	$(EXE) $(LIB32) /out:klammern.exe klammern.obj .\dkdll.lib

pdfcmb.exe:	cmb.obj base
	$(EXE) $(LIB32) /out:pdfcmb.exe cmb.obj .\dkdll.lib

psonly.exe:	psonly.obj base
	$(EXE) $(LIB32) /out:psonly.exe psonly.obj .\dkdll.lib

YALCOBJ=	yalc.obj yalcmsg.obj

yanolc.lib:	yanolc.dll

yanolc.dll:	$(YALCOBJ) base
	$(DLL) $(LIB32) /out:"yanolc.dll" /def:"yanolc.def" /implib:"yanolc.lib" $(YALCOBJ) .\dknet.lib .\dkdll.lib $(SNMP_LIB) $(WSC32)

klpr.exe:	klpr.obj base yanolc.lib
	$(EXE) $(LIB32) /out:klpr.exe klpr.obj .\yanolc.lib .\dknet.lib .\dkdll.lib

klpq.exe:	klpq.obj base yanolc.lib
	$(EXE) $(LIB32) /out:klpq.exe klpq.obj .\yanolc.lib .\dknet.lib .\dkdll.lib

klprm.exe:	klprm.obj base yanolc.lib
	$(EXE) $(LIB32) /out:klprm.exe klprm.obj .\yanolc.lib .\dknet.lib .\dkdll.lib

klpc.exe:	klpc.obj base yanolc.lib
	$(EXE) $(LIB32) /out:klpc.exe klpc.obj .\yanolc.lib .\dknet.lib .\dkdll.lib

snmpyalc.exe:	snmpyalc.obj base yanolc.lib
	$(EXE) $(LIB32) /out:snmpyalc.exe snmpyalc.obj .\yanolc.lib .\dknet.lib .\dkdll.lib

klpinfo.exe:	klpinfo.obj base yanolc.lib
	$(EXE) $(LIB32) /out:klpinfo.exe klpinfo.obj .\yanolc.lib .\dknet.lib .\dkdll.lib

GENAUOBJ=	genau.obj readau.obj writeau.obj reducau.obj
genau.exe:	$(GENAUOBJ) base
	$(EXE) $(LIB32) /out:genau.exe $(GENAUOBJ) .\dkdll.lib

tape.exe:	tape.obj base
	$(EXE) $(LIB32) /out:tape.exe tape.obj .\dkdll.lib

blksize.exe:	blksize.obj base
	$(EXE) $(LIB32) /out:blksize.exe blksize.obj .\dkdll.lib

blks.exe:	blks.obj base
	$(EXE) $(LIB32) /out:blks.exe blks.obj .\dkdll.lib

showhex.exe:	showhex.obj base
	$(EXE) $(LIB32) /out:showhex.exe showhex.obj .\dkdll.lib $(BZL_LIB) $(ZL_LIB)

dksavepw.exe:	dksavepw.obj base
	$(EXE) $(LIB32) /out:dksavepw.exe dksavepw.obj .\dkdll.lib

F2VOBJ1=	dkfigco.obj dkfigopt.obj dkfigtoo.obj dkfigto2.obj
F2VOBJ2=	dkfigfnt.obj dkfigdt.obj
F2VOBJ3=	dkfigrd.obj dkxsp.obj dkbsp.obj dkfigmp.obj dkfigeps.obj
F2VOBJ4=	dkfigsvg.obj dkfigei.obj dkfigpdf.obj dkfigpi.obj
F2VOBJ=		$(F2VOBJ1) $(F2VOBJ2) $(F2VOBJ3) $(F2VOBJ4)

fig2vect.exe:	fig2vect.obj $(F2VOBJ) base
	$(EXE) $(LIB32) /out:fig2vect.exe fig2vect.obj $(F2VOBJ) .\dklatsup.lib .\dkdll.lib $(IMGLIBS) $(BZL_LIB) $(ZL_LIB)

JLOBJ1=		jlmain.obj jlmsg.obj jsrc.obj jlclean.obj jlo.obj
JLOBJ2=		jlread.obj jlcheck.obj
JLOBJ=		$(JLOBJ1) $(JLOBJ2)

jlayout.exe:	$(JLOBJ)
	$(EXE) $(LIB32) /out:jlayout.exe $(JLOBJ) .\dkdll.lib $(BZL_LIB) $(ZL_LIB)

TCPTOOLOBJ=	tcptool.obj
tcptool.exe:	$(TCPTOOLOBJ)
	$(EXE) $(LIB32) /out:tcptool.exe $(TCPTOOLOBJ) $(WSC32)

fchksize.exe:	fchksize.obj
	$(EXE) $(LIB32) /out:fchksize.exe fchksize.obj

fchksum.exe:	fchksum.obj
	$(EXE) $(LIB32) /out:fchksum.exe fchksum.obj $(CRYPTO_LIB)

clean:
	-DEL *.exe
	-DEL *.dll
	-DEL *.lib
	-DEL *.obj

