#define DKBIFPBM_C	1
#include "dkbifi.h"
#include "dkbif.h"

#line 4 "dkbifpbm.ctr"


#if DK_HAVE_PNM_H



static char program_name[] = { "bmeps" };

static
void
do_configure DK_P0()
{
  static char must_configure = 0x01;
  char *argv[2];
  int pnm_argc;
  if(must_configure) {
    must_configure = 0x00;
    argv[0] = program_name;
    argv[1] = NULL;
    pnm_argc = 1;
    pnm_init(&pnm_argc, argv);
  }
}



static
void
init_pbm_frame DK_P2(dk_bif_t *,p, dk_bif_frame_t *,f)
{
  
  f->xdpi = -1.0; f->ydpi = -1.0;
  f->mr = f->mg = f->mb = 1.0;
  
}


int
dkbifpbm_header DK_P2(dk_bif_t *,p, FILE *,f)
{
  int back = 0;
  int rows = 0, cols = 0, format = 0;
  xel **array = NULL; xelval maxxelval = 0;
  
  if((p) && (f)) {
    do_configure();
    array = pnm_readpnm(f,&cols,&rows,&maxxelval,&format);
    if((array) && (rows > 0) && (cols > 0)) {
      p->cf = dkbif_frame_new(p, 0UL);
      if(p->cf) {
        p->nof = 1UL;
        init_pbm_frame(p, p->cf);
	((p->cf)->d).pnm.rows = rows;
	((p->cf)->d).pnm.cols = cols;
	((p->cf)->d).pnm.format = format;
	((p->cf)->d).pnm.array = array;
	((p->cf)->d).pnm.maxxelval = maxxelval;
	((p->cf)->d).pnm.maxxeldbl = dkma_ul_to_double((unsigned long)maxxelval);
	back = 1;	/* yippieh, reading PNMs is really easy */
        (p->cf)->w = (unsigned long)cols;
	(p->cf)->h = (unsigned long)rows;
	(p->cf)->ch = ((PNM_FORMAT_TYPE(format) == PPM_TYPE) ? 3 : 1);
	(p->cf)->bpc = 8;
	(p->cf)->vmask = dkbif_max_for_bpc((p->cf)->bpc);
	(p->cf)->vmax = dkma_ul_to_double((p->cf)->vmask);
      } else {
        pnm_freearray(array, rows);
      }
    } else {
      if(array) {
        pnm_freearray(array, rows);
      }
    }
  }
  
  return back;
}



int
dkbifpbm_data DK_P2(dk_bif_t *,p, FILE *,f)
{
  int back = 0;
  
  if(p->cf) {
    if(((p->cf)->d).pnm.array) {
      back = 1;		/* data was already read */
    }
  }
  
  return back;
}



unsigned short
dkbifpbm_red DK_P3(dk_bif_t *,p, unsigned long,x, unsigned long,y)
{
  unsigned short back = 255;
  
  if(p) {
    if(p->cf) {
      if((p->cf)->ch == 3) {
        back = PPM_GETR( ( ( ((p->cf)->d).pnm.array)[y] )[x] );
      } else {
        back = PNM_GET1( ( ( ((p->cf)->d).pnm.array)[y] )[x] );
      }
    }
  }
  if(((p->cf)->d).pnm.maxxelval != 255) {
    int me = 0;
    back = (unsigned short)dkma_double_to_ul_ok(
      dkma_div_double_ok(
        dkma_mul_double_ok(
	dkma_ul_to_double(
	  (unsigned long)back),
	  255.0,
	  &me
	),
	((p->cf)->d).pnm.maxxeldbl,
	&me
      ),
      &me
    );
    if(me) { p->ec = DK_ERR_MATH_OOR; }
  }
  
  return back;
}



unsigned short
dkbifpbm_green DK_P3(dk_bif_t *,p, unsigned long,x, unsigned long,y)
{
  unsigned short back = 255;
  
  if(p) {
    if(p->cf) {
      if((p->cf)->ch == 3) {
        back = PPM_GETG( ( ( ((p->cf)->d).pnm.array)[y] )[x] );
      } else {
        back = PNM_GET1( ( ( ((p->cf)->d).pnm.array)[y] )[x] );
      }
    }
  }
  if(((p->cf)->d).pnm.maxxelval != 255) {
    int me = 0;
    back = (unsigned short)dkma_double_to_ul_ok(
      dkma_div_double_ok(
        dkma_mul_double_ok(
	dkma_ul_to_double(
	  (unsigned long)back),
	  255.0,
	  &me
	),
	((p->cf)->d).pnm.maxxeldbl,
	&me
      ),
      &me
    );
    if(me) { p->ec = DK_ERR_MATH_OOR; }
  }
  
  return back;
}



unsigned short
dkbifpbm_blue DK_P3(dk_bif_t *,p, unsigned long,x, unsigned long,y)
{
  unsigned short back = 255;
  
  if(p) {
    if(p->cf) {
      if((p->cf)->ch == 3) {
        back = PPM_GETB( ( ( ((p->cf)->d).pnm.array)[y] )[x] );
      } else {
        back = PNM_GET1( ( ( ((p->cf)->d).pnm.array)[y] )[x] );
      }
    }
  }
  if(((p->cf)->d).pnm.maxxelval != 255) {
    int me = 0;
    back = (unsigned short)dkma_double_to_ul_ok(
      dkma_div_double_ok(
        dkma_mul_double_ok(
	dkma_ul_to_double(
	  (unsigned long)back),
	  255.0,
	  &me
	),
	((p->cf)->d).pnm.maxxeldbl,
	&me
      ),
      &me
    );
    if(me) { p->ec = DK_ERR_MATH_OOR; }
  }
  
  return back;
}



unsigned short
dkbifpbm_gray DK_P3(dk_bif_t *,p, unsigned long,x, unsigned long,y)
{
  unsigned short back = 255;
  int me = 0;
  
  if(p) {
    if(p->cf) {
      if((p->cf)->ch == 1) {
        back = PNM_GET1( ( ( ((p->cf)->d).pnm.array)[y] )[x] );
        if(((p->cf)->d).pnm.maxxelval != 255) {
          int me = 0;
          back = (unsigned short)dkma_double_to_ul_ok(
            dkma_div_double_ok(
              dkma_mul_double_ok(
	      dkma_ul_to_double(
	        (unsigned long)back),
	        255.0,
	        &me
	      ),
	      ((p->cf)->d).pnm.maxxeldbl,
	      &me
            ),
            &me
          );
          if(me) { p->ec = DK_ERR_MATH_OOR; }
        }
      } else {
        unsigned short r = 0, g = 0, b = 0;
	r = dkbifpbm_red(p, x, y);
	g = dkbifpbm_green(p, x, y);
	b = dkbifpbm_blue(p, x, y);
	if(p->fntsc) {
	  back = (unsigned short)(
	    (
	      dkma_add_ulong_ok(
		dkma_add_ulong_ok(
		  dkma_mul_ulong_ok(54UL,(unsigned long)r,&me),
		  dkma_mul_ulong_ok(183UL,(unsigned long)g,&me),
		  &me
		),
		dkma_mul_ulong_ok(19UL,(unsigned long)b,&me),
		&me
	      ) >> 8
	    ) & 0xFFFF
	  );
	} else {
	  back = (unsigned short)dkma_double_to_ul_ok(
	    dkma_rint(
	      dkma_add_double_ok(
	  	dkma_add_double_ok(
		  dkma_mul_double_ok(
		    0.3,dkma_ul_to_double((unsigned long)r),&me
		  ),
		  dkma_mul_double_ok(
		    0.59,dkma_ul_to_double((unsigned long)g),&me
		  ),
		  &me
		),
		dkma_mul_double_ok(
		  0.11,dkma_ul_to_double((unsigned long)g),&me
		),
		&me
	      )
	    ),
	    &me
	  );
	}
	if(me) { p->ec = DK_ERR_MATH_OOR; }
      }
    }
  }
  
  return back;
}



unsigned short
dkbifpbm_alpha DK_P3(dk_bif_t *,p, unsigned long,x, unsigned long,y)
{
  unsigned short back = 255;
  
  
  return back;
}



void
dkbifpbm_frame_release DK_P2(dk_bif_t *,p, dk_bif_frame_t *,f)
{
  
  if((f->d).pnm.array) {
    pnm_freearray((f->d).pnm.array, (f->d).pnm.rows);
  }
  
}



void
dkbifpbm_release DK_P1(dk_bif_t *,p)
{
  
  
}



#endif


#ifndef LINT
static char sccs_id[] = {
"@(#)dkbifpbm.ctr 1.6 02/03/09\tbmeps2"
};
#endif

