#include <dkconfig.h>
#include <stdio.h>

static char *config_options[] = {
  (char *)"#if !defined(DKCONFIG_INC)",
  (char *)"#define DKCONFIG_INC 1",
#if HAVE_ISDIGIT
  (char *)"/*\t\t\t\t\t+\tHAVE_ISDIGIT */",
  (char *)"#if !defined(DK_HAVE_ISDIGIT)",
  (char *)"#define DK_HAVE_ISDIGIT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ISDIGIT */",
  (char *)"#if defined(DK_HAVE_ISDIGIT)",
  (char *)"#undef  DK_HAVE_ISDIGIT",
  (char *)"#endif",
#endif
#if HAVE_LONG_LONG_INT
  (char *)"/*\t\t\t\t\t+\tHAVE_LONG_LONG_INT */",
  (char *)"#if !defined(DK_HAVE_LONG_LONG_INT)",
  (char *)"#define DK_HAVE_LONG_LONG_INT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LONG_LONG_INT */",
  (char *)"#if defined(DK_HAVE_LONG_LONG_INT)",
  (char *)"#undef  DK_HAVE_LONG_LONG_INT",
  (char *)"#endif",
#endif
#if HAVE_NO_INODES
  (char *)"/*\t\t\t\t\t+\tHAVE_NO_INODES */",
  (char *)"#if !defined(DK_HAVE_NO_INODES)",
  (char *)"#define DK_HAVE_NO_INODES 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NO_INODES */",
  (char *)"#if defined(DK_HAVE_NO_INODES)",
  (char *)"#undef  DK_HAVE_NO_INODES",
  (char *)"#endif",
#endif
#if HAVE_CODEPAGES
  (char *)"/*\t\t\t\t\t+\tHAVE_CODEPAGES */",
  (char *)"#if !defined(DK_HAVE_CODEPAGES)",
  (char *)"#define DK_HAVE_CODEPAGES 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CODEPAGES */",
  (char *)"#if defined(DK_HAVE_CODEPAGES)",
  (char *)"#undef  DK_HAVE_CODEPAGES",
  (char *)"#endif",
#endif
#if HAVE_ALLDOTALL
  (char *)"/*\t\t\t\t\t+\tHAVE_ALLDOTALL */",
  (char *)"#if !defined(DK_HAVE_ALLDOTALL)",
  (char *)"#define DK_HAVE_ALLDOTALL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ALLDOTALL */",
  (char *)"#if defined(DK_HAVE_ALLDOTALL)",
  (char *)"#undef  DK_HAVE_ALLDOTALL",
  (char *)"#endif",
#endif
#if HAVE_DOTFILENAMES
  (char *)"/*\t\t\t\t\t+\tHAVE_DOTFILENAMES */",
  (char *)"#if !defined(DK_HAVE_DOTFILENAMES)",
  (char *)"#define DK_HAVE_DOTFILENAMES 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DOTFILENAMES */",
  (char *)"#if defined(DK_HAVE_DOTFILENAMES)",
  (char *)"#undef  DK_HAVE_DOTFILENAMES",
  (char *)"#endif",
#endif
#if HAVE_POPEN
  (char *)"/*\t\t\t\t\t+\tHAVE_POPEN */",
  (char *)"#if !defined(DK_HAVE_POPEN)",
  (char *)"#define DK_HAVE_POPEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_POPEN */",
  (char *)"#if defined(DK_HAVE_POPEN)",
  (char *)"#undef  DK_HAVE_POPEN",
  (char *)"#endif",
#endif
#if HAVE__POPEN
  (char *)"/*\t\t\t\t\t+\tHAVE__POPEN */",
  (char *)"#if !defined(DK_HAVE__POPEN)",
  (char *)"#define DK_HAVE__POPEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__POPEN */",
  (char *)"#if defined(DK_HAVE__POPEN)",
  (char *)"#undef  DK_HAVE__POPEN",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_DOS_EXEC
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_DOS_EXEC */",
  (char *)"#if !defined(DK_HAVE_FEATURE_DOS_EXEC)",
  (char *)"#define DK_HAVE_FEATURE_DOS_EXEC 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_DOS_EXEC */",
  (char *)"#if defined(DK_HAVE_FEATURE_DOS_EXEC)",
  (char *)"#undef  DK_HAVE_FEATURE_DOS_EXEC",
  (char *)"#endif",
#endif
#if HAVE_DOS_DRIVE_LETTER
  (char *)"/*\t\t\t\t\t+\tHAVE_DOS_DRIVE_LETTER */",
  (char *)"#if !defined(DK_HAVE_DOS_DRIVE_LETTER)",
  (char *)"#define DK_HAVE_DOS_DRIVE_LETTER 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DOS_DRIVE_LETTER */",
  (char *)"#if defined(DK_HAVE_DOS_DRIVE_LETTER)",
  (char *)"#undef  DK_HAVE_DOS_DRIVE_LETTER",
  (char *)"#endif",
#endif
#if HAVE_PROTOTYPES
  (char *)"/*\t\t\t\t\t+\tHAVE_PROTOTYPES */",
  (char *)"#if !defined(DK_HAVE_PROTOTYPES)",
  (char *)"#define DK_HAVE_PROTOTYPES 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_PROTOTYPES */",
  (char *)"#if defined(DK_HAVE_PROTOTYPES)",
  (char *)"#undef  DK_HAVE_PROTOTYPES",
  (char *)"#endif",
#endif
#if HAVE_STRCASECMP
  (char *)"/*\t\t\t\t\t+\tHAVE_STRCASECMP */",
  (char *)"#if !defined(DK_HAVE_STRCASECMP)",
  (char *)"#define DK_HAVE_STRCASECMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRCASECMP */",
  (char *)"#if defined(DK_HAVE_STRCASECMP)",
  (char *)"#undef  DK_HAVE_STRCASECMP",
  (char *)"#endif",
#endif
#if HAVE_STRICMP
  (char *)"/*\t\t\t\t\t+\tHAVE_STRICMP */",
  (char *)"#if !defined(DK_HAVE_STRICMP)",
  (char *)"#define DK_HAVE_STRICMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRICMP */",
  (char *)"#if defined(DK_HAVE_STRICMP)",
  (char *)"#undef  DK_HAVE_STRICMP",
  (char *)"#endif",
#endif
#if HAVE_STRCHR
  (char *)"/*\t\t\t\t\t+\tHAVE_STRCHR */",
  (char *)"#if !defined(DK_HAVE_STRCHR)",
  (char *)"#define DK_HAVE_STRCHR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRCHR */",
  (char *)"#if defined(DK_HAVE_STRCHR)",
  (char *)"#undef  DK_HAVE_STRCHR",
  (char *)"#endif",
#endif
#if HAVE_STRRCHR
  (char *)"/*\t\t\t\t\t+\tHAVE_STRRCHR */",
  (char *)"#if !defined(DK_HAVE_STRRCHR)",
  (char *)"#define DK_HAVE_STRRCHR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRRCHR */",
  (char *)"#if defined(DK_HAVE_STRRCHR)",
  (char *)"#undef  DK_HAVE_STRRCHR",
  (char *)"#endif",
#endif
#if HAVE_STRDUP
  (char *)"/*\t\t\t\t\t+\tHAVE_STRDUP */",
  (char *)"#if !defined(DK_HAVE_STRDUP)",
  (char *)"#define DK_HAVE_STRDUP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRDUP */",
  (char *)"#if defined(DK_HAVE_STRDUP)",
  (char *)"#undef  DK_HAVE_STRDUP",
  (char *)"#endif",
#endif
#if HAVE_FARMALLOC
  (char *)"/*\t\t\t\t\t+\tHAVE_FARMALLOC */",
  (char *)"#if !defined(DK_HAVE_FARMALLOC)",
  (char *)"#define DK_HAVE_FARMALLOC 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FARMALLOC */",
  (char *)"#if defined(DK_HAVE_FARMALLOC)",
  (char *)"#undef  DK_HAVE_FARMALLOC",
  (char *)"#endif",
#endif
#if HAVE_FARFREE
  (char *)"/*\t\t\t\t\t+\tHAVE_FARFREE */",
  (char *)"#if !defined(DK_HAVE_FARFREE)",
  (char *)"#define DK_HAVE_FARFREE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FARFREE */",
  (char *)"#if defined(DK_HAVE_FARFREE)",
  (char *)"#undef  DK_HAVE_FARFREE",
  (char *)"#endif",
#endif
#if HAVE_FARCORELEFT
  (char *)"/*\t\t\t\t\t+\tHAVE_FARCORELEFT */",
  (char *)"#if !defined(DK_HAVE_FARCORELEFT)",
  (char *)"#define DK_HAVE_FARCORELEFT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FARCORELEFT */",
  (char *)"#if defined(DK_HAVE_FARCORELEFT)",
  (char *)"#undef  DK_HAVE_FARCORELEFT",
  (char *)"#endif",
#endif
#if HAVE_MALLOC
  (char *)"/*\t\t\t\t\t+\tHAVE_MALLOC */",
  (char *)"#if !defined(DK_HAVE_MALLOC)",
  (char *)"#define DK_HAVE_MALLOC 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MALLOC */",
  (char *)"#if defined(DK_HAVE_MALLOC)",
  (char *)"#undef  DK_HAVE_MALLOC",
  (char *)"#endif",
#endif
#if HAVE_FREE
  (char *)"/*\t\t\t\t\t+\tHAVE_FREE */",
  (char *)"#if !defined(DK_HAVE_FREE)",
  (char *)"#define DK_HAVE_FREE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FREE */",
  (char *)"#if defined(DK_HAVE_FREE)",
  (char *)"#undef  DK_HAVE_FREE",
  (char *)"#endif",
#endif
#if HAVE_CORELEFT
  (char *)"/*\t\t\t\t\t+\tHAVE_CORELEFT */",
  (char *)"#if !defined(DK_HAVE_CORELEFT)",
  (char *)"#define DK_HAVE_CORELEFT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CORELEFT */",
  (char *)"#if defined(DK_HAVE_CORELEFT)",
  (char *)"#undef  DK_HAVE_CORELEFT",
  (char *)"#endif",
#endif
#if HAVE_MEMSET
  (char *)"/*\t\t\t\t\t+\tHAVE_MEMSET */",
  (char *)"#if !defined(DK_HAVE_MEMSET)",
  (char *)"#define DK_HAVE_MEMSET 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MEMSET */",
  (char *)"#if defined(DK_HAVE_MEMSET)",
  (char *)"#undef  DK_HAVE_MEMSET",
  (char *)"#endif",
#endif
#if HAVE_BZERO
  (char *)"/*\t\t\t\t\t+\tHAVE_BZERO */",
  (char *)"#if !defined(DK_HAVE_BZERO)",
  (char *)"#define DK_HAVE_BZERO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BZERO */",
  (char *)"#if defined(DK_HAVE_BZERO)",
  (char *)"#undef  DK_HAVE_BZERO",
  (char *)"#endif",
#endif
#if HAVE_MEMCMP
  (char *)"/*\t\t\t\t\t+\tHAVE_MEMCMP */",
  (char *)"#if !defined(DK_HAVE_MEMCMP)",
  (char *)"#define DK_HAVE_MEMCMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MEMCMP */",
  (char *)"#if defined(DK_HAVE_MEMCMP)",
  (char *)"#undef  DK_HAVE_MEMCMP",
  (char *)"#endif",
#endif
#if HAVE_BCMP
  (char *)"/*\t\t\t\t\t+\tHAVE_BCMP */",
  (char *)"#if !defined(DK_HAVE_BCMP)",
  (char *)"#define DK_HAVE_BCMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BCMP */",
  (char *)"#if defined(DK_HAVE_BCMP)",
  (char *)"#undef  DK_HAVE_BCMP",
  (char *)"#endif",
#endif
#if HAVE_MEMCPY
  (char *)"/*\t\t\t\t\t+\tHAVE_MEMCPY */",
  (char *)"#if !defined(DK_HAVE_MEMCPY)",
  (char *)"#define DK_HAVE_MEMCPY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MEMCPY */",
  (char *)"#if defined(DK_HAVE_MEMCPY)",
  (char *)"#undef  DK_HAVE_MEMCPY",
  (char *)"#endif",
#endif
#if HAVE_BCOPY
  (char *)"/*\t\t\t\t\t+\tHAVE_BCOPY */",
  (char *)"#if !defined(DK_HAVE_BCOPY)",
  (char *)"#define DK_HAVE_BCOPY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BCOPY */",
  (char *)"#if defined(DK_HAVE_BCOPY)",
  (char *)"#undef  DK_HAVE_BCOPY",
  (char *)"#endif",
#endif
#if HAVE_OPENDIR
  (char *)"/*\t\t\t\t\t+\tHAVE_OPENDIR */",
  (char *)"#if !defined(DK_HAVE_OPENDIR)",
  (char *)"#define DK_HAVE_OPENDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_OPENDIR */",
  (char *)"#if defined(DK_HAVE_OPENDIR)",
  (char *)"#undef  DK_HAVE_OPENDIR",
  (char *)"#endif",
#endif
#if HAVE_LSTAT
  (char *)"/*\t\t\t\t\t+\tHAVE_LSTAT */",
  (char *)"#if !defined(DK_HAVE_LSTAT)",
  (char *)"#define DK_HAVE_LSTAT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LSTAT */",
  (char *)"#if defined(DK_HAVE_LSTAT)",
  (char *)"#undef  DK_HAVE_LSTAT",
  (char *)"#endif",
#endif
#if HAVE_LSTAT32
  (char *)"/*\t\t\t\t\t+\tHAVE_LSTAT32 */",
  (char *)"#if !defined(DK_HAVE_LSTAT32)",
  (char *)"#define DK_HAVE_LSTAT32 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LSTAT32 */",
  (char *)"#if defined(DK_HAVE_LSTAT32)",
  (char *)"#undef  DK_HAVE_LSTAT32",
  (char *)"#endif",
#endif
#if HAVE_LSTAT64
  (char *)"/*\t\t\t\t\t+\tHAVE_LSTAT64 */",
  (char *)"#if !defined(DK_HAVE_LSTAT64)",
  (char *)"#define DK_HAVE_LSTAT64 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LSTAT64 */",
  (char *)"#if defined(DK_HAVE_LSTAT64)",
  (char *)"#undef  DK_HAVE_LSTAT64",
  (char *)"#endif",
#endif
#if HAVE_LARGEFILE64_SOURCE
  (char *)"/*\t\t\t\t\t+\tHAVE_LARGEFILE64_SOURCE */",
  (char *)"#if !defined(DK_HAVE_LARGEFILE64_SOURCE)",
  (char *)"#define DK_HAVE_LARGEFILE64_SOURCE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LARGEFILE64_SOURCE */",
  (char *)"#if defined(DK_HAVE_LARGEFILE64_SOURCE)",
  (char *)"#undef  DK_HAVE_LARGEFILE64_SOURCE",
  (char *)"#endif",
#endif
#if HAVE_GETCWD
  (char *)"/*\t\t\t\t\t+\tHAVE_GETCWD */",
  (char *)"#if !defined(DK_HAVE_GETCWD)",
  (char *)"#define DK_HAVE_GETCWD 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETCWD */",
  (char *)"#if defined(DK_HAVE_GETCWD)",
  (char *)"#undef  DK_HAVE_GETCWD",
  (char *)"#endif",
#endif
#if HAVE_GETWD
  (char *)"/*\t\t\t\t\t+\tHAVE_GETWD */",
  (char *)"#if !defined(DK_HAVE_GETWD)",
  (char *)"#define DK_HAVE_GETWD 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETWD */",
  (char *)"#if defined(DK_HAVE_GETWD)",
  (char *)"#undef  DK_HAVE_GETWD",
  (char *)"#endif",
#endif
#if HAVE_GETHOSTBYNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETHOSTBYNAME */",
  (char *)"#if !defined(DK_HAVE_GETHOSTBYNAME)",
  (char *)"#define DK_HAVE_GETHOSTBYNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETHOSTBYNAME */",
  (char *)"#if defined(DK_HAVE_GETHOSTBYNAME)",
  (char *)"#undef  DK_HAVE_GETHOSTBYNAME",
  (char *)"#endif",
#endif
#if HAVE_GETHOSTNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETHOSTNAME */",
  (char *)"#if !defined(DK_HAVE_GETHOSTNAME)",
  (char *)"#define DK_HAVE_GETHOSTNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETHOSTNAME */",
  (char *)"#if defined(DK_HAVE_GETHOSTNAME)",
  (char *)"#undef  DK_HAVE_GETHOSTNAME",
  (char *)"#endif",
#endif
#if HAVE_GETUID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETUID */",
  (char *)"#if !defined(DK_HAVE_GETUID)",
  (char *)"#define DK_HAVE_GETUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETUID */",
  (char *)"#if defined(DK_HAVE_GETUID)",
  (char *)"#undef  DK_HAVE_GETUID",
  (char *)"#endif",
#endif
#if HAVE_GETEUID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETEUID */",
  (char *)"#if !defined(DK_HAVE_GETEUID)",
  (char *)"#define DK_HAVE_GETEUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETEUID */",
  (char *)"#if defined(DK_HAVE_GETEUID)",
  (char *)"#undef  DK_HAVE_GETEUID",
  (char *)"#endif",
#endif
#if HAVE_GETGID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETGID */",
  (char *)"#if !defined(DK_HAVE_GETGID)",
  (char *)"#define DK_HAVE_GETGID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETGID */",
  (char *)"#if defined(DK_HAVE_GETGID)",
  (char *)"#undef  DK_HAVE_GETGID",
  (char *)"#endif",
#endif
#if HAVE_GETEGID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETEGID */",
  (char *)"#if !defined(DK_HAVE_GETEGID)",
  (char *)"#define DK_HAVE_GETEGID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETEGID */",
  (char *)"#if defined(DK_HAVE_GETEGID)",
  (char *)"#undef  DK_HAVE_GETEGID",
  (char *)"#endif",
#endif
#if HAVE_GETSERVBYNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETSERVBYNAME */",
  (char *)"#if !defined(DK_HAVE_GETSERVBYNAME)",
  (char *)"#define DK_HAVE_GETSERVBYNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETSERVBYNAME */",
  (char *)"#if defined(DK_HAVE_GETSERVBYNAME)",
  (char *)"#undef  DK_HAVE_GETSERVBYNAME",
  (char *)"#endif",
#endif
#if HAVE_GETADDRINFO
  (char *)"/*\t\t\t\t\t+\tHAVE_GETADDRINFO */",
  (char *)"#if !defined(DK_HAVE_GETADDRINFO)",
  (char *)"#define DK_HAVE_GETADDRINFO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETADDRINFO */",
  (char *)"#if defined(DK_HAVE_GETADDRINFO)",
  (char *)"#undef  DK_HAVE_GETADDRINFO",
  (char *)"#endif",
#endif
#if HAVE_GETNETPATH
  (char *)"/*\t\t\t\t\t+\tHAVE_GETNETPATH */",
  (char *)"#if !defined(DK_HAVE_GETNETPATH)",
  (char *)"#define DK_HAVE_GETNETPATH 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETNETPATH */",
  (char *)"#if defined(DK_HAVE_GETNETPATH)",
  (char *)"#undef  DK_HAVE_GETNETPATH",
  (char *)"#endif",
#endif
#if HAVE_NETDIR_GETBYNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_NETDIR_GETBYNAME */",
  (char *)"#if !defined(DK_HAVE_NETDIR_GETBYNAME)",
  (char *)"#define DK_HAVE_NETDIR_GETBYNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NETDIR_GETBYNAME */",
  (char *)"#if defined(DK_HAVE_NETDIR_GETBYNAME)",
  (char *)"#undef  DK_HAVE_NETDIR_GETBYNAME",
  (char *)"#endif",
#endif
#if HAVE_FCNTL
  (char *)"/*\t\t\t\t\t+\tHAVE_FCNTL */",
  (char *)"#if !defined(DK_HAVE_FCNTL)",
  (char *)"#define DK_HAVE_FCNTL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FCNTL */",
  (char *)"#if defined(DK_HAVE_FCNTL)",
  (char *)"#undef  DK_HAVE_FCNTL",
  (char *)"#endif",
#endif
#if HAVE_FCNTL_H
  (char *)"/*\t\t\t\t\t+\tHAVE_FCNTL_H */",
  (char *)"#if !defined(DK_HAVE_FCNTL_H)",
  (char *)"#define DK_HAVE_FCNTL_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FCNTL_H */",
  (char *)"#if defined(DK_HAVE_FCNTL_H)",
  (char *)"#undef  DK_HAVE_FCNTL_H",
  (char *)"#endif",
#endif
#if HAVE_IOCTL
  (char *)"/*\t\t\t\t\t+\tHAVE_IOCTL */",
  (char *)"#if !defined(DK_HAVE_IOCTL)",
  (char *)"#define DK_HAVE_IOCTL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_IOCTL */",
  (char *)"#if defined(DK_HAVE_IOCTL)",
  (char *)"#undef  DK_HAVE_IOCTL",
  (char *)"#endif",
#endif
#if HAVE_GETPID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPID */",
  (char *)"#if !defined(DK_HAVE_GETPID)",
  (char *)"#define DK_HAVE_GETPID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPID */",
  (char *)"#if defined(DK_HAVE_GETPID)",
  (char *)"#undef  DK_HAVE_GETPID",
  (char *)"#endif",
#endif
#if HAVE_GETPGRP
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPGRP */",
  (char *)"#if !defined(DK_HAVE_GETPGRP)",
  (char *)"#define DK_HAVE_GETPGRP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPGRP */",
  (char *)"#if defined(DK_HAVE_GETPGRP)",
  (char *)"#undef  DK_HAVE_GETPGRP",
  (char *)"#endif",
#endif
#if HAVE_GETPPID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPPID */",
  (char *)"#if !defined(DK_HAVE_GETPPID)",
  (char *)"#define DK_HAVE_GETPPID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPPID */",
  (char *)"#if defined(DK_HAVE_GETPPID)",
  (char *)"#undef  DK_HAVE_GETPPID",
  (char *)"#endif",
#endif
#if HAVE_GETPGID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPGID */",
  (char *)"#if !defined(DK_HAVE_GETPGID)",
  (char *)"#define DK_HAVE_GETPGID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPGID */",
  (char *)"#if defined(DK_HAVE_GETPGID)",
  (char *)"#undef  DK_HAVE_GETPGID",
  (char *)"#endif",
#endif
#if HAVE_UNLINK
  (char *)"/*\t\t\t\t\t+\tHAVE_UNLINK */",
  (char *)"#if !defined(DK_HAVE_UNLINK)",
  (char *)"#define DK_HAVE_UNLINK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_UNLINK */",
  (char *)"#if defined(DK_HAVE_UNLINK)",
  (char *)"#undef  DK_HAVE_UNLINK",
  (char *)"#endif",
#endif
#if HAVE__UNLINK
  (char *)"/*\t\t\t\t\t+\tHAVE__UNLINK */",
  (char *)"#if !defined(DK_HAVE__UNLINK)",
  (char *)"#define DK_HAVE__UNLINK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__UNLINK */",
  (char *)"#if defined(DK_HAVE__UNLINK)",
  (char *)"#undef  DK_HAVE__UNLINK",
  (char *)"#endif",
#endif
#if HAVE__STRICMP
  (char *)"/*\t\t\t\t\t+\tHAVE__STRICMP */",
  (char *)"#if !defined(DK_HAVE__STRICMP)",
  (char *)"#define DK_HAVE__STRICMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__STRICMP */",
  (char *)"#if defined(DK_HAVE__STRICMP)",
  (char *)"#undef  DK_HAVE__STRICMP",
  (char *)"#endif",
#endif
#if HAVE_RMDIR
  (char *)"/*\t\t\t\t\t+\tHAVE_RMDIR */",
  (char *)"#if !defined(DK_HAVE_RMDIR)",
  (char *)"#define DK_HAVE_RMDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RMDIR */",
  (char *)"#if defined(DK_HAVE_RMDIR)",
  (char *)"#undef  DK_HAVE_RMDIR",
  (char *)"#endif",
#endif
#if HAVE__RMDIR
  (char *)"/*\t\t\t\t\t+\tHAVE__RMDIR */",
  (char *)"#if !defined(DK_HAVE__RMDIR)",
  (char *)"#define DK_HAVE__RMDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__RMDIR */",
  (char *)"#if defined(DK_HAVE__RMDIR)",
  (char *)"#undef  DK_HAVE__RMDIR",
  (char *)"#endif",
#endif
#if HAVE_FILENO
  (char *)"/*\t\t\t\t\t+\tHAVE_FILENO */",
  (char *)"#if !defined(DK_HAVE_FILENO)",
  (char *)"#define DK_HAVE_FILENO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FILENO */",
  (char *)"#if defined(DK_HAVE_FILENO)",
  (char *)"#undef  DK_HAVE_FILENO",
  (char *)"#endif",
#endif
#if HAVE_SETPWENT
  (char *)"/*\t\t\t\t\t+\tHAVE_SETPWENT */",
  (char *)"#if !defined(DK_HAVE_SETPWENT)",
  (char *)"#define DK_HAVE_SETPWENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETPWENT */",
  (char *)"#if defined(DK_HAVE_SETPWENT)",
  (char *)"#undef  DK_HAVE_SETPWENT",
  (char *)"#endif",
#endif
#if HAVE_ENDPWENT
  (char *)"/*\t\t\t\t\t+\tHAVE_ENDPWENT */",
  (char *)"#if !defined(DK_HAVE_ENDPWENT)",
  (char *)"#define DK_HAVE_ENDPWENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ENDPWENT */",
  (char *)"#if defined(DK_HAVE_ENDPWENT)",
  (char *)"#undef  DK_HAVE_ENDPWENT",
  (char *)"#endif",
#endif
#if HAVE_GETPWENT
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPWENT */",
  (char *)"#if !defined(DK_HAVE_GETPWENT)",
  (char *)"#define DK_HAVE_GETPWENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPWENT */",
  (char *)"#if defined(DK_HAVE_GETPWENT)",
  (char *)"#undef  DK_HAVE_GETPWENT",
  (char *)"#endif",
#endif
#if HAVE_GETPWNAM
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPWNAM */",
  (char *)"#if !defined(DK_HAVE_GETPWNAM)",
  (char *)"#define DK_HAVE_GETPWNAM 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPWNAM */",
  (char *)"#if defined(DK_HAVE_GETPWNAM)",
  (char *)"#undef  DK_HAVE_GETPWNAM",
  (char *)"#endif",
#endif
#if HAVE_GETPWUID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPWUID */",
  (char *)"#if !defined(DK_HAVE_GETPWUID)",
  (char *)"#define DK_HAVE_GETPWUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPWUID */",
  (char *)"#if defined(DK_HAVE_GETPWUID)",
  (char *)"#undef  DK_HAVE_GETPWUID",
  (char *)"#endif",
#endif
#if HAVE_SETGRENT
  (char *)"/*\t\t\t\t\t+\tHAVE_SETGRENT */",
  (char *)"#if !defined(DK_HAVE_SETGRENT)",
  (char *)"#define DK_HAVE_SETGRENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETGRENT */",
  (char *)"#if defined(DK_HAVE_SETGRENT)",
  (char *)"#undef  DK_HAVE_SETGRENT",
  (char *)"#endif",
#endif
#if HAVE_ENDGRENT
  (char *)"/*\t\t\t\t\t+\tHAVE_ENDGRENT */",
  (char *)"#if !defined(DK_HAVE_ENDGRENT)",
  (char *)"#define DK_HAVE_ENDGRENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ENDGRENT */",
  (char *)"#if defined(DK_HAVE_ENDGRENT)",
  (char *)"#undef  DK_HAVE_ENDGRENT",
  (char *)"#endif",
#endif
#if HAVE_GETGRENT
  (char *)"/*\t\t\t\t\t+\tHAVE_GETGRENT */",
  (char *)"#if !defined(DK_HAVE_GETGRENT)",
  (char *)"#define DK_HAVE_GETGRENT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETGRENT */",
  (char *)"#if defined(DK_HAVE_GETGRENT)",
  (char *)"#undef  DK_HAVE_GETGRENT",
  (char *)"#endif",
#endif
#if HAVE_GETGRNAM
  (char *)"/*\t\t\t\t\t+\tHAVE_GETGRNAM */",
  (char *)"#if !defined(DK_HAVE_GETGRNAM)",
  (char *)"#define DK_HAVE_GETGRNAM 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETGRNAM */",
  (char *)"#if defined(DK_HAVE_GETGRNAM)",
  (char *)"#undef  DK_HAVE_GETGRNAM",
  (char *)"#endif",
#endif
#if HAVE_GETGRGID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETGRGID */",
  (char *)"#if !defined(DK_HAVE_GETGRGID)",
  (char *)"#define DK_HAVE_GETGRGID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETGRGID */",
  (char *)"#if defined(DK_HAVE_GETGRGID)",
  (char *)"#undef  DK_HAVE_GETGRGID",
  (char *)"#endif",
#endif
#if HAVE_SELECT
  (char *)"/*\t\t\t\t\t+\tHAVE_SELECT */",
  (char *)"#if !defined(DK_HAVE_SELECT)",
  (char *)"#define DK_HAVE_SELECT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SELECT */",
  (char *)"#if defined(DK_HAVE_SELECT)",
  (char *)"#undef  DK_HAVE_SELECT",
  (char *)"#endif",
#endif
#if HAVE_POLL
  (char *)"/*\t\t\t\t\t+\tHAVE_POLL */",
  (char *)"#if !defined(DK_HAVE_POLL)",
  (char *)"#define DK_HAVE_POLL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_POLL */",
  (char *)"#if defined(DK_HAVE_POLL)",
  (char *)"#undef  DK_HAVE_POLL",
  (char *)"#endif",
#endif
#if HAVE_SOCKET
  (char *)"/*\t\t\t\t\t+\tHAVE_SOCKET */",
  (char *)"#if !defined(DK_HAVE_SOCKET)",
  (char *)"#define DK_HAVE_SOCKET 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SOCKET */",
  (char *)"#if defined(DK_HAVE_SOCKET)",
  (char *)"#undef  DK_HAVE_SOCKET",
  (char *)"#endif",
#endif
#if HAVE_SETSOCKOPT
  (char *)"/*\t\t\t\t\t+\tHAVE_SETSOCKOPT */",
  (char *)"#if !defined(DK_HAVE_SETSOCKOPT)",
  (char *)"#define DK_HAVE_SETSOCKOPT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETSOCKOPT */",
  (char *)"#if defined(DK_HAVE_SETSOCKOPT)",
  (char *)"#undef  DK_HAVE_SETSOCKOPT",
  (char *)"#endif",
#endif
#if HAVE_SIGNAL
  (char *)"/*\t\t\t\t\t+\tHAVE_SIGNAL */",
  (char *)"#if !defined(DK_HAVE_SIGNAL)",
  (char *)"#define DK_HAVE_SIGNAL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIGNAL */",
  (char *)"#if defined(DK_HAVE_SIGNAL)",
  (char *)"#undef  DK_HAVE_SIGNAL",
  (char *)"#endif",
#endif
#if HAVE_SIGSET
  (char *)"/*\t\t\t\t\t+\tHAVE_SIGSET */",
  (char *)"#if !defined(DK_HAVE_SIGSET)",
  (char *)"#define DK_HAVE_SIGSET 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIGSET */",
  (char *)"#if defined(DK_HAVE_SIGSET)",
  (char *)"#undef  DK_HAVE_SIGSET",
  (char *)"#endif",
#endif
#if HAVE_SIGACTION
  (char *)"/*\t\t\t\t\t+\tHAVE_SIGACTION */",
  (char *)"#if !defined(DK_HAVE_SIGACTION)",
  (char *)"#define DK_HAVE_SIGACTION 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIGACTION */",
  (char *)"#if defined(DK_HAVE_SIGACTION)",
  (char *)"#undef  DK_HAVE_SIGACTION",
  (char *)"#endif",
#endif
#if HAVE_SYSLOG
  (char *)"/*\t\t\t\t\t+\tHAVE_SYSLOG */",
  (char *)"#if !defined(DK_HAVE_SYSLOG)",
  (char *)"#define DK_HAVE_SYSLOG 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYSLOG */",
  (char *)"#if defined(DK_HAVE_SYSLOG)",
  (char *)"#undef  DK_HAVE_SYSLOG",
  (char *)"#endif",
#endif
#if HAVE_SETUID
  (char *)"/*\t\t\t\t\t+\tHAVE_SETUID */",
  (char *)"#if !defined(DK_HAVE_SETUID)",
  (char *)"#define DK_HAVE_SETUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETUID */",
  (char *)"#if defined(DK_HAVE_SETUID)",
  (char *)"#undef  DK_HAVE_SETUID",
  (char *)"#endif",
#endif
#if HAVE_SETEUID
  (char *)"/*\t\t\t\t\t+\tHAVE_SETEUID */",
  (char *)"#if !defined(DK_HAVE_SETEUID)",
  (char *)"#define DK_HAVE_SETEUID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETEUID */",
  (char *)"#if defined(DK_HAVE_SETEUID)",
  (char *)"#undef  DK_HAVE_SETEUID",
  (char *)"#endif",
#endif
#if HAVE_YP_BIND
  (char *)"/*\t\t\t\t\t+\tHAVE_YP_BIND */",
  (char *)"#if !defined(DK_HAVE_YP_BIND)",
  (char *)"#define DK_HAVE_YP_BIND 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_YP_BIND */",
  (char *)"#if defined(DK_HAVE_YP_BIND)",
  (char *)"#undef  DK_HAVE_YP_BIND",
  (char *)"#endif",
#endif
#if HAVE_RINT
  (char *)"/*\t\t\t\t\t+\tHAVE_RINT */",
  (char *)"#if !defined(DK_HAVE_RINT)",
  (char *)"#define DK_HAVE_RINT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RINT */",
  (char *)"#if defined(DK_HAVE_RINT)",
  (char *)"#undef  DK_HAVE_RINT",
  (char *)"#endif",
#endif
#if HAVE_ATAN2
  (char *)"/*\t\t\t\t\t+\tHAVE_ATAN2 */",
  (char *)"#if !defined(DK_HAVE_ATAN2)",
  (char *)"#define DK_HAVE_ATAN2 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ATAN2 */",
  (char *)"#if defined(DK_HAVE_ATAN2)",
  (char *)"#undef  DK_HAVE_ATAN2",
  (char *)"#endif",
#endif
#if HAVE_STAT
  (char *)"/*\t\t\t\t\t+\tHAVE_STAT */",
  (char *)"#if !defined(DK_HAVE_STAT)",
  (char *)"#define DK_HAVE_STAT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STAT */",
  (char *)"#if defined(DK_HAVE_STAT)",
  (char *)"#undef  DK_HAVE_STAT",
  (char *)"#endif",
#endif
#if HAVE_STAT32
  (char *)"/*\t\t\t\t\t+\tHAVE_STAT32 */",
  (char *)"#if !defined(DK_HAVE_STAT32)",
  (char *)"#define DK_HAVE_STAT32 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STAT32 */",
  (char *)"#if defined(DK_HAVE_STAT32)",
  (char *)"#undef  DK_HAVE_STAT32",
  (char *)"#endif",
#endif
#if HAVE_STAT64
  (char *)"/*\t\t\t\t\t+\tHAVE_STAT64 */",
  (char *)"#if !defined(DK_HAVE_STAT64)",
  (char *)"#define DK_HAVE_STAT64 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STAT64 */",
  (char *)"#if defined(DK_HAVE_STAT64)",
  (char *)"#undef  DK_HAVE_STAT64",
  (char *)"#endif",
#endif
#if HAVE_MKDIR
  (char *)"/*\t\t\t\t\t+\tHAVE_MKDIR */",
  (char *)"#if !defined(DK_HAVE_MKDIR)",
  (char *)"#define DK_HAVE_MKDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MKDIR */",
  (char *)"#if defined(DK_HAVE_MKDIR)",
  (char *)"#undef  DK_HAVE_MKDIR",
  (char *)"#endif",
#endif
#if HAVE__MKDIR
  (char *)"/*\t\t\t\t\t+\tHAVE__MKDIR */",
  (char *)"#if !defined(DK_HAVE__MKDIR)",
  (char *)"#define DK_HAVE__MKDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__MKDIR */",
  (char *)"#if defined(DK_HAVE__MKDIR)",
  (char *)"#undef  DK_HAVE__MKDIR",
  (char *)"#endif",
#endif
#if HAVE_MKDIR2
  (char *)"/*\t\t\t\t\t+\tHAVE_MKDIR2 */",
  (char *)"#if !defined(DK_HAVE_MKDIR2)",
  (char *)"#define DK_HAVE_MKDIR2 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MKDIR2 */",
  (char *)"#if defined(DK_HAVE_MKDIR2)",
  (char *)"#undef  DK_HAVE_MKDIR2",
  (char *)"#endif",
#endif
#if HAVE_REMOVE
  (char *)"/*\t\t\t\t\t+\tHAVE_REMOVE */",
  (char *)"#if !defined(DK_HAVE_REMOVE)",
  (char *)"#define DK_HAVE_REMOVE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_REMOVE */",
  (char *)"#if defined(DK_HAVE_REMOVE)",
  (char *)"#undef  DK_HAVE_REMOVE",
  (char *)"#endif",
#endif
#if HAVE_HTONL
  (char *)"/*\t\t\t\t\t+\tHAVE_HTONL */",
  (char *)"#if !defined(DK_HAVE_HTONL)",
  (char *)"#define DK_HAVE_HTONL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_HTONL */",
  (char *)"#if defined(DK_HAVE_HTONL)",
  (char *)"#undef  DK_HAVE_HTONL",
  (char *)"#endif",
#endif
#if HAVE_GETRLIMIT
  (char *)"/*\t\t\t\t\t+\tHAVE_GETRLIMIT */",
  (char *)"#if !defined(DK_HAVE_GETRLIMIT)",
  (char *)"#define DK_HAVE_GETRLIMIT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETRLIMIT */",
  (char *)"#if defined(DK_HAVE_GETRLIMIT)",
  (char *)"#undef  DK_HAVE_GETRLIMIT",
  (char *)"#endif",
#endif
#if HAVE_SETSID
  (char *)"/*\t\t\t\t\t+\tHAVE_SETSID */",
  (char *)"#if !defined(DK_HAVE_SETSID)",
  (char *)"#define DK_HAVE_SETSID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETSID */",
  (char *)"#if defined(DK_HAVE_SETSID)",
  (char *)"#undef  DK_HAVE_SETSID",
  (char *)"#endif",
#endif
#if HAVE_LOCKF
  (char *)"/*\t\t\t\t\t+\tHAVE_LOCKF */",
  (char *)"#if !defined(DK_HAVE_LOCKF)",
  (char *)"#define DK_HAVE_LOCKF 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LOCKF */",
  (char *)"#if defined(DK_HAVE_LOCKF)",
  (char *)"#undef  DK_HAVE_LOCKF",
  (char *)"#endif",
#endif
#if HAVE_FLOCK
  (char *)"/*\t\t\t\t\t+\tHAVE_FLOCK */",
  (char *)"#if !defined(DK_HAVE_FLOCK)",
  (char *)"#define DK_HAVE_FLOCK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FLOCK */",
  (char *)"#if defined(DK_HAVE_FLOCK)",
  (char *)"#undef  DK_HAVE_FLOCK",
  (char *)"#endif",
#endif
#if HAVE_LOCK
  (char *)"/*\t\t\t\t\t+\tHAVE_LOCK */",
  (char *)"#if !defined(DK_HAVE_LOCK)",
  (char *)"#define DK_HAVE_LOCK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LOCK */",
  (char *)"#if defined(DK_HAVE_LOCK)",
  (char *)"#undef  DK_HAVE_LOCK",
  (char *)"#endif",
#endif
#if HAVE_STDLIB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STDLIB_H */",
  (char *)"#if !defined(DK_HAVE_STDLIB_H)",
  (char *)"#define DK_HAVE_STDLIB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STDLIB_H */",
  (char *)"#if defined(DK_HAVE_STDLIB_H)",
  (char *)"#undef  DK_HAVE_STDLIB_H",
  (char *)"#endif",
#endif
#if HAVE_SIGNAL_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SIGNAL_H */",
  (char *)"#if !defined(DK_HAVE_SIGNAL_H)",
  (char *)"#define DK_HAVE_SIGNAL_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIGNAL_H */",
  (char *)"#if defined(DK_HAVE_SIGNAL_H)",
  (char *)"#undef  DK_HAVE_SIGNAL_H",
  (char *)"#endif",
#endif
#if HAVE_IO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_IO_H */",
  (char *)"#if !defined(DK_HAVE_IO_H)",
  (char *)"#define DK_HAVE_IO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_IO_H */",
  (char *)"#if defined(DK_HAVE_IO_H)",
  (char *)"#undef  DK_HAVE_IO_H",
  (char *)"#endif",
#endif
#if HAVE_STDDEF_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STDDEF_H */",
  (char *)"#if !defined(DK_HAVE_STDDEF_H)",
  (char *)"#define DK_HAVE_STDDEF_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STDDEF_H */",
  (char *)"#if defined(DK_HAVE_STDDEF_H)",
  (char *)"#undef  DK_HAVE_STDDEF_H",
  (char *)"#endif",
#endif
#if HAVE_CTYPE_H
  (char *)"/*\t\t\t\t\t+\tHAVE_CTYPE_H */",
  (char *)"#if !defined(DK_HAVE_CTYPE_H)",
  (char *)"#define DK_HAVE_CTYPE_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CTYPE_H */",
  (char *)"#if defined(DK_HAVE_CTYPE_H)",
  (char *)"#undef  DK_HAVE_CTYPE_H",
  (char *)"#endif",
#endif
#if HAVE_STRING_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STRING_H */",
  (char *)"#if !defined(DK_HAVE_STRING_H)",
  (char *)"#define DK_HAVE_STRING_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRING_H */",
  (char *)"#if defined(DK_HAVE_STRING_H)",
  (char *)"#undef  DK_HAVE_STRING_H",
  (char *)"#endif",
#endif
#if HAVE_STRINGS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STRINGS_H */",
  (char *)"#if !defined(DK_HAVE_STRINGS_H)",
  (char *)"#define DK_HAVE_STRINGS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STRINGS_H */",
  (char *)"#if defined(DK_HAVE_STRINGS_H)",
  (char *)"#undef  DK_HAVE_STRINGS_H",
  (char *)"#endif",
#endif
#if HAVE_UNISTD_H
  (char *)"/*\t\t\t\t\t+\tHAVE_UNISTD_H */",
  (char *)"#if !defined(DK_HAVE_UNISTD_H)",
  (char *)"#define DK_HAVE_UNISTD_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_UNISTD_H */",
  (char *)"#if defined(DK_HAVE_UNISTD_H)",
  (char *)"#undef  DK_HAVE_UNISTD_H",
  (char *)"#endif",
#endif
#if HAVE_PROCESS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_PROCESS_H */",
  (char *)"#if !defined(DK_HAVE_PROCESS_H)",
  (char *)"#define DK_HAVE_PROCESS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_PROCESS_H */",
  (char *)"#if defined(DK_HAVE_PROCESS_H)",
  (char *)"#undef  DK_HAVE_PROCESS_H",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_DLL
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_DLL */",
  (char *)"#if !defined(DK_HAVE_FEATURE_DLL)",
  (char *)"#define DK_HAVE_FEATURE_DLL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_DLL */",
  (char *)"#if defined(DK_HAVE_FEATURE_DLL)",
  (char *)"#undef  DK_HAVE_FEATURE_DLL",
  (char *)"#endif",
#endif
#if USE_FEATURE_DLL
  (char *)"/*\t\t\t\t\t+\tUSE_FEATURE_DLL */",
  (char *)"#if !defined(DK_USE_FEATURE_DLL)",
  (char *)"#define DK_USE_FEATURE_DLL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tUSE_FEATURE_DLL */",
  (char *)"#if defined(DK_USE_FEATURE_DLL)",
  (char *)"#undef  DK_USE_FEATURE_DLL",
  (char *)"#endif",
#endif
#if HAVE_SYS_TYPES_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_TYPES_H */",
  (char *)"#if !defined(DK_HAVE_SYS_TYPES_H)",
  (char *)"#define DK_HAVE_SYS_TYPES_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_TYPES_H */",
  (char *)"#if defined(DK_HAVE_SYS_TYPES_H)",
  (char *)"#undef  DK_HAVE_SYS_TYPES_H",
  (char *)"#endif",
#endif
#if HAVE_STROPTS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STROPTS_H */",
  (char *)"#if !defined(DK_HAVE_STROPTS_H)",
  (char *)"#define DK_HAVE_STROPTS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STROPTS_H */",
  (char *)"#if defined(DK_HAVE_STROPTS_H)",
  (char *)"#undef  DK_HAVE_STROPTS_H",
  (char *)"#endif",
#endif
#if HAVE_ERRNO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_ERRNO_H */",
  (char *)"#if !defined(DK_HAVE_ERRNO_H)",
  (char *)"#define DK_HAVE_ERRNO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ERRNO_H */",
  (char *)"#if defined(DK_HAVE_ERRNO_H)",
  (char *)"#undef  DK_HAVE_ERRNO_H",
  (char *)"#endif",
#endif
#if HAVE_LIMITS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_LIMITS_H */",
  (char *)"#if !defined(DK_HAVE_LIMITS_H)",
  (char *)"#define DK_HAVE_LIMITS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LIMITS_H */",
  (char *)"#if defined(DK_HAVE_LIMITS_H)",
  (char *)"#undef  DK_HAVE_LIMITS_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_PARAM_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_PARAM_H */",
  (char *)"#if !defined(DK_HAVE_SYS_PARAM_H)",
  (char *)"#define DK_HAVE_SYS_PARAM_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_PARAM_H */",
  (char *)"#if defined(DK_HAVE_SYS_PARAM_H)",
  (char *)"#undef  DK_HAVE_SYS_PARAM_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_TIME_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_TIME_H */",
  (char *)"#if !defined(DK_HAVE_SYS_TIME_H)",
  (char *)"#define DK_HAVE_SYS_TIME_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_TIME_H */",
  (char *)"#if defined(DK_HAVE_SYS_TIME_H)",
  (char *)"#undef  DK_HAVE_SYS_TIME_H",
  (char *)"#endif",
#endif
#if HAVE_TIME_H
  (char *)"/*\t\t\t\t\t+\tHAVE_TIME_H */",
  (char *)"#if !defined(DK_HAVE_TIME_H)",
  (char *)"#define DK_HAVE_TIME_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_TIME_H */",
  (char *)"#if defined(DK_HAVE_TIME_H)",
  (char *)"#undef  DK_HAVE_TIME_H",
  (char *)"#endif",
#endif
#if TIME_WITH_SYS_TIME
  (char *)"/*\t\t\t\t\t+\tTIME_WITH_SYS_TIME */",
  (char *)"#if !defined(DK_TIME_WITH_SYS_TIME)",
  (char *)"#define DK_TIME_WITH_SYS_TIME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tTIME_WITH_SYS_TIME */",
  (char *)"#if defined(DK_TIME_WITH_SYS_TIME)",
  (char *)"#undef  DK_TIME_WITH_SYS_TIME",
  (char *)"#endif",
#endif
#if HAVE_SYS_STAT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_STAT_H */",
  (char *)"#if !defined(DK_HAVE_SYS_STAT_H)",
  (char *)"#define DK_HAVE_SYS_STAT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_STAT_H */",
  (char *)"#if defined(DK_HAVE_SYS_STAT_H)",
  (char *)"#undef  DK_HAVE_SYS_STAT_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_STATVFS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_STATVFS_H */",
  (char *)"#if !defined(DK_HAVE_SYS_STATVFS_H)",
  (char *)"#define DK_HAVE_SYS_STATVFS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_STATVFS_H */",
  (char *)"#if defined(DK_HAVE_SYS_STATVFS_H)",
  (char *)"#undef  DK_HAVE_SYS_STATVFS_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_STROPTS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_STROPTS_H */",
  (char *)"#if !defined(DK_HAVE_SYS_STROPTS_H)",
  (char *)"#define DK_HAVE_SYS_STROPTS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_STROPTS_H */",
  (char *)"#if defined(DK_HAVE_SYS_STROPTS_H)",
  (char *)"#undef  DK_HAVE_SYS_STROPTS_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_FILE_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_FILE_H */",
  (char *)"#if !defined(DK_HAVE_SYS_FILE_H)",
  (char *)"#define DK_HAVE_SYS_FILE_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_FILE_H */",
  (char *)"#if defined(DK_HAVE_SYS_FILE_H)",
  (char *)"#undef  DK_HAVE_SYS_FILE_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_UIO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_UIO_H */",
  (char *)"#if !defined(DK_HAVE_SYS_UIO_H)",
  (char *)"#define DK_HAVE_SYS_UIO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_UIO_H */",
  (char *)"#if defined(DK_HAVE_SYS_UIO_H)",
  (char *)"#undef  DK_HAVE_SYS_UIO_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_UN_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_UN_H */",
  (char *)"#if !defined(DK_HAVE_SYS_UN_H)",
  (char *)"#define DK_HAVE_SYS_UN_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_UN_H */",
  (char *)"#if defined(DK_HAVE_SYS_UN_H)",
  (char *)"#undef  DK_HAVE_SYS_UN_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_SUNDDI_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_SUNDDI_H */",
  (char *)"#if !defined(DK_HAVE_SYS_SUNDDI_H)",
  (char *)"#define DK_HAVE_SYS_SUNDDI_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_SUNDDI_H */",
  (char *)"#if defined(DK_HAVE_SYS_SUNDDI_H)",
  (char *)"#undef  DK_HAVE_SYS_SUNDDI_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_RESOURCE_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_RESOURCE_H */",
  (char *)"#if !defined(DK_HAVE_SYS_RESOURCE_H)",
  (char *)"#define DK_HAVE_SYS_RESOURCE_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_RESOURCE_H */",
  (char *)"#if defined(DK_HAVE_SYS_RESOURCE_H)",
  (char *)"#undef  DK_HAVE_SYS_RESOURCE_H",
  (char *)"#endif",
#endif
#if HAVE_BIOS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_BIOS_H */",
  (char *)"#if !defined(DK_HAVE_BIOS_H)",
  (char *)"#define DK_HAVE_BIOS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BIOS_H */",
  (char *)"#if defined(DK_HAVE_BIOS_H)",
  (char *)"#undef  DK_HAVE_BIOS_H",
  (char *)"#endif",
#endif
#if HAVE_DIR_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DIR_H */",
  (char *)"#if !defined(DK_HAVE_DIR_H)",
  (char *)"#define DK_HAVE_DIR_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DIR_H */",
  (char *)"#if defined(DK_HAVE_DIR_H)",
  (char *)"#undef  DK_HAVE_DIR_H",
  (char *)"#endif",
#endif
#if HAVE_DIRENT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DIRENT_H */",
  (char *)"#if !defined(DK_HAVE_DIRENT_H)",
  (char *)"#define DK_HAVE_DIRENT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DIRENT_H */",
  (char *)"#if defined(DK_HAVE_DIRENT_H)",
  (char *)"#undef  DK_HAVE_DIRENT_H",
  (char *)"#endif",
#endif
#if HAVE_DIRECT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DIRECT_H */",
  (char *)"#if !defined(DK_HAVE_DIRECT_H)",
  (char *)"#define DK_HAVE_DIRECT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DIRECT_H */",
  (char *)"#if defined(DK_HAVE_DIRECT_H)",
  (char *)"#undef  DK_HAVE_DIRECT_H",
  (char *)"#endif",
#endif
#if HAVE_MALLOC_H
  (char *)"/*\t\t\t\t\t+\tHAVE_MALLOC_H */",
  (char *)"#if !defined(DK_HAVE_MALLOC_H)",
  (char *)"#define DK_HAVE_MALLOC_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MALLOC_H */",
  (char *)"#if defined(DK_HAVE_MALLOC_H)",
  (char *)"#undef  DK_HAVE_MALLOC_H",
  (char *)"#endif",
#endif
#if HAVE_ALLOC_H
  (char *)"/*\t\t\t\t\t+\tHAVE_ALLOC_H */",
  (char *)"#if !defined(DK_HAVE_ALLOC_H)",
  (char *)"#define DK_HAVE_ALLOC_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ALLOC_H */",
  (char *)"#if defined(DK_HAVE_ALLOC_H)",
  (char *)"#undef  DK_HAVE_ALLOC_H",
  (char *)"#endif",
#endif
#if HAVE_DOS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DOS_H */",
  (char *)"#if !defined(DK_HAVE_DOS_H)",
  (char *)"#define DK_HAVE_DOS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DOS_H */",
  (char *)"#if defined(DK_HAVE_DOS_H)",
  (char *)"#undef  DK_HAVE_DOS_H",
  (char *)"#endif",
#endif
#if HAVE_SYSRES_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYSRES_H */",
  (char *)"#if !defined(DK_HAVE_SYSRES_H)",
  (char *)"#define DK_HAVE_SYSRES_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYSRES_H */",
  (char *)"#if defined(DK_HAVE_SYSRES_H)",
  (char *)"#undef  DK_HAVE_SYSRES_H",
  (char *)"#endif",
#endif
#if HAVE_XTI_H
  (char *)"/*\t\t\t\t\t+\tHAVE_XTI_H */",
  (char *)"#if !defined(DK_HAVE_XTI_H)",
  (char *)"#define DK_HAVE_XTI_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_XTI_H */",
  (char *)"#if defined(DK_HAVE_XTI_H)",
  (char *)"#undef  DK_HAVE_XTI_H",
  (char *)"#endif",
#endif
#if HAVE_TIUSER_H
  (char *)"/*\t\t\t\t\t+\tHAVE_TIUSER_H */",
  (char *)"#if !defined(DK_HAVE_TIUSER_H)",
  (char *)"#define DK_HAVE_TIUSER_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_TIUSER_H */",
  (char *)"#if defined(DK_HAVE_TIUSER_H)",
  (char *)"#undef  DK_HAVE_TIUSER_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_SOCKET_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_SOCKET_H */",
  (char *)"#if !defined(DK_HAVE_SYS_SOCKET_H)",
  (char *)"#define DK_HAVE_SYS_SOCKET_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_SOCKET_H */",
  (char *)"#if defined(DK_HAVE_SYS_SOCKET_H)",
  (char *)"#undef  DK_HAVE_SYS_SOCKET_H",
  (char *)"#endif",
#endif
#if HAVE_WINDOWS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINDOWS_H */",
  (char *)"#if !defined(DK_HAVE_WINDOWS_H)",
  (char *)"#define DK_HAVE_WINDOWS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINDOWS_H */",
  (char *)"#if defined(DK_HAVE_WINDOWS_H)",
  (char *)"#undef  DK_HAVE_WINDOWS_H",
  (char *)"#endif",
#endif
#if HAVE_WINBASE_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINBASE_H */",
  (char *)"#if !defined(DK_HAVE_WINBASE_H)",
  (char *)"#define DK_HAVE_WINBASE_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINBASE_H */",
  (char *)"#if defined(DK_HAVE_WINBASE_H)",
  (char *)"#undef  DK_HAVE_WINBASE_H",
  (char *)"#endif",
#endif
#if HAVE_WINREG_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINREG_H */",
  (char *)"#if !defined(DK_HAVE_WINREG_H)",
  (char *)"#define DK_HAVE_WINREG_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINREG_H */",
  (char *)"#if defined(DK_HAVE_WINREG_H)",
  (char *)"#undef  DK_HAVE_WINREG_H",
  (char *)"#endif",
#endif
#if HAVE_WINSOCK2_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINSOCK2_H */",
  (char *)"#if !defined(DK_HAVE_WINSOCK2_H)",
  (char *)"#define DK_HAVE_WINSOCK2_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINSOCK2_H */",
  (char *)"#if defined(DK_HAVE_WINSOCK2_H)",
  (char *)"#undef  DK_HAVE_WINSOCK2_H",
  (char *)"#endif",
#endif
#if HAVE_WINCON_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WINCON_H */",
  (char *)"#if !defined(DK_HAVE_WINCON_H)",
  (char *)"#define DK_HAVE_WINCON_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WINCON_H */",
  (char *)"#if defined(DK_HAVE_WINCON_H)",
  (char *)"#undef  DK_HAVE_WINCON_H",
  (char *)"#endif",
#endif
#if HAVE_NETINET_IN_H
  (char *)"/*\t\t\t\t\t+\tHAVE_NETINET_IN_H */",
  (char *)"#if !defined(DK_HAVE_NETINET_IN_H)",
  (char *)"#define DK_HAVE_NETINET_IN_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NETINET_IN_H */",
  (char *)"#if defined(DK_HAVE_NETINET_IN_H)",
  (char *)"#undef  DK_HAVE_NETINET_IN_H",
  (char *)"#endif",
#endif
#if HAVE_ARPA_INET_H
  (char *)"/*\t\t\t\t\t+\tHAVE_ARPA_INET_H */",
  (char *)"#if !defined(DK_HAVE_ARPA_INET_H)",
  (char *)"#define DK_HAVE_ARPA_INET_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ARPA_INET_H */",
  (char *)"#if defined(DK_HAVE_ARPA_INET_H)",
  (char *)"#undef  DK_HAVE_ARPA_INET_H",
  (char *)"#endif",
#endif
#if HAVE_NETDB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_NETDB_H */",
  (char *)"#if !defined(DK_HAVE_NETDB_H)",
  (char *)"#define DK_HAVE_NETDB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NETDB_H */",
  (char *)"#if defined(DK_HAVE_NETDB_H)",
  (char *)"#undef  DK_HAVE_NETDB_H",
  (char *)"#endif",
#endif
#if HAVE_RPCSVC_YP_PROT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_RPCSVC_YP_PROT_H */",
  (char *)"#if !defined(DK_HAVE_RPCSVC_YP_PROT_H)",
  (char *)"#define DK_HAVE_RPCSVC_YP_PROT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RPCSVC_YP_PROT_H */",
  (char *)"#if defined(DK_HAVE_RPCSVC_YP_PROT_H)",
  (char *)"#undef  DK_HAVE_RPCSVC_YP_PROT_H",
  (char *)"#endif",
#endif
#if HAVE_RPCSVC_YPCLNT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_RPCSVC_YPCLNT_H */",
  (char *)"#if !defined(DK_HAVE_RPCSVC_YPCLNT_H)",
  (char *)"#define DK_HAVE_RPCSVC_YPCLNT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RPCSVC_YPCLNT_H */",
  (char *)"#if defined(DK_HAVE_RPCSVC_YPCLNT_H)",
  (char *)"#undef  DK_HAVE_RPCSVC_YPCLNT_H",
  (char *)"#endif",
#endif
#if HAVE_GRP_H
  (char *)"/*\t\t\t\t\t+\tHAVE_GRP_H */",
  (char *)"#if !defined(DK_HAVE_GRP_H)",
  (char *)"#define DK_HAVE_GRP_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GRP_H */",
  (char *)"#if defined(DK_HAVE_GRP_H)",
  (char *)"#undef  DK_HAVE_GRP_H",
  (char *)"#endif",
#endif
#if HAVE_PWD_H
  (char *)"/*\t\t\t\t\t+\tHAVE_PWD_H */",
  (char *)"#if !defined(DK_HAVE_PWD_H)",
  (char *)"#define DK_HAVE_PWD_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_PWD_H */",
  (char *)"#if defined(DK_HAVE_PWD_H)",
  (char *)"#undef  DK_HAVE_PWD_H",
  (char *)"#endif",
#endif
#if HAVE_VOLATILE
  (char *)"/*\t\t\t\t\t+\tHAVE_VOLATILE */",
  (char *)"#if !defined(DK_HAVE_VOLATILE)",
  (char *)"#define DK_HAVE_VOLATILE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_VOLATILE */",
  (char *)"#if defined(DK_HAVE_VOLATILE)",
  (char *)"#undef  DK_HAVE_VOLATILE",
  (char *)"#endif",
#endif
#if HAVE_CONST
  (char *)"/*\t\t\t\t\t+\tHAVE_CONST */",
  (char *)"#if !defined(DK_HAVE_CONST)",
  (char *)"#define DK_HAVE_CONST 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CONST */",
  (char *)"#if defined(DK_HAVE_CONST)",
  (char *)"#undef  DK_HAVE_CONST",
  (char *)"#endif",
#endif
#if HAVE_UNLINK
  (char *)"/*\t\t\t\t\t+\tHAVE_UNLINK */",
  (char *)"#if !defined(DK_HAVE_UNLINK)",
  (char *)"#define DK_HAVE_UNLINK 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_UNLINK */",
  (char *)"#if defined(DK_HAVE_UNLINK)",
  (char *)"#undef  DK_HAVE_UNLINK",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_DOS
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_DOS */",
  (char *)"#if !defined(DK_HAVE_FEATURE_DOS)",
  (char *)"#define DK_HAVE_FEATURE_DOS 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_DOS */",
  (char *)"#if defined(DK_HAVE_FEATURE_DOS)",
  (char *)"#undef  DK_HAVE_FEATURE_DOS",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_BACKSLASH
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_BACKSLASH */",
  (char *)"#if !defined(DK_HAVE_FEATURE_BACKSLASH)",
  (char *)"#define DK_HAVE_FEATURE_BACKSLASH 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_BACKSLASH */",
  (char *)"#if defined(DK_HAVE_FEATURE_BACKSLASH)",
  (char *)"#undef  DK_HAVE_FEATURE_BACKSLASH",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_ALLDOTALL
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_ALLDOTALL */",
  (char *)"#if !defined(DK_HAVE_FEATURE_ALLDOTALL)",
  (char *)"#define DK_HAVE_FEATURE_ALLDOTALL 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_ALLDOTALL */",
  (char *)"#if defined(DK_HAVE_FEATURE_ALLDOTALL)",
  (char *)"#undef  DK_HAVE_FEATURE_ALLDOTALL",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_DRIVECHAR
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_DRIVECHAR */",
  (char *)"#if !defined(DK_HAVE_FEATURE_DRIVECHAR)",
  (char *)"#define DK_HAVE_FEATURE_DRIVECHAR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_DRIVECHAR */",
  (char *)"#if defined(DK_HAVE_FEATURE_DRIVECHAR)",
  (char *)"#undef  DK_HAVE_FEATURE_DRIVECHAR",
  (char *)"#endif",
#endif
#if HAVE_FEATURE_FN83
  (char *)"/*\t\t\t\t\t+\tHAVE_FEATURE_FN83 */",
  (char *)"#if !defined(DK_HAVE_FEATURE_FN83)",
  (char *)"#define DK_HAVE_FEATURE_FN83 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FEATURE_FN83 */",
  (char *)"#if defined(DK_HAVE_FEATURE_FN83)",
  (char *)"#undef  DK_HAVE_FEATURE_FN83",
  (char *)"#endif",
#endif
#if HAVE_FINDFIRST
  (char *)"/*\t\t\t\t\t+\tHAVE_FINDFIRST */",
  (char *)"#if !defined(DK_HAVE_FINDFIRST)",
  (char *)"#define DK_HAVE_FINDFIRST 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FINDFIRST */",
  (char *)"#if defined(DK_HAVE_FINDFIRST)",
  (char *)"#undef  DK_HAVE_FINDFIRST",
  (char *)"#endif",
#endif
#if HAVE_FINDFIRST32
  (char *)"/*\t\t\t\t\t+\tHAVE_FINDFIRST32 */",
  (char *)"#if !defined(DK_HAVE_FINDFIRST32)",
  (char *)"#define DK_HAVE_FINDFIRST32 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FINDFIRST32 */",
  (char *)"#if defined(DK_HAVE_FINDFIRST32)",
  (char *)"#undef  DK_HAVE_FINDFIRST32",
  (char *)"#endif",
#endif
#if HAVE_FINDFIRST64
  (char *)"/*\t\t\t\t\t+\tHAVE_FINDFIRST64 */",
  (char *)"#if !defined(DK_HAVE_FINDFIRST64)",
  (char *)"#define DK_HAVE_FINDFIRST64 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FINDFIRST64 */",
  (char *)"#if defined(DK_HAVE_FINDFIRST64)",
  (char *)"#undef  DK_HAVE_FINDFIRST64",
  (char *)"#endif",
#endif
#if HAVE__FINDFIRST
  (char *)"/*\t\t\t\t\t+\tHAVE__FINDFIRST */",
  (char *)"#if !defined(DK_HAVE__FINDFIRST)",
  (char *)"#define DK_HAVE__FINDFIRST 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__FINDFIRST */",
  (char *)"#if defined(DK_HAVE__FINDFIRST)",
  (char *)"#undef  DK_HAVE__FINDFIRST",
  (char *)"#endif",
#endif
#if HAVE__FINDFIRST32
  (char *)"/*\t\t\t\t\t+\tHAVE__FINDFIRST32 */",
  (char *)"#if !defined(DK_HAVE__FINDFIRST32)",
  (char *)"#define DK_HAVE__FINDFIRST32 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__FINDFIRST32 */",
  (char *)"#if defined(DK_HAVE__FINDFIRST32)",
  (char *)"#undef  DK_HAVE__FINDFIRST32",
  (char *)"#endif",
#endif
#if HAVE__FINDFIRST64
  (char *)"/*\t\t\t\t\t+\tHAVE__FINDFIRST64 */",
  (char *)"#if !defined(DK_HAVE__FINDFIRST64)",
  (char *)"#define DK_HAVE__FINDFIRST64 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__FINDFIRST64 */",
  (char *)"#if defined(DK_HAVE__FINDFIRST64)",
  (char *)"#undef  DK_HAVE__FINDFIRST64",
  (char *)"#endif",
#endif
#if HAVE__GETCWD
  (char *)"/*\t\t\t\t\t+\tHAVE__GETCWD */",
  (char *)"#if !defined(DK_HAVE__GETCWD)",
  (char *)"#define DK_HAVE__GETCWD 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__GETCWD */",
  (char *)"#if defined(DK_HAVE__GETCWD)",
  (char *)"#undef  DK_HAVE__GETCWD",
  (char *)"#endif",
#endif
#if HAVE__OPEN
  (char *)"/*\t\t\t\t\t+\tHAVE__OPEN */",
  (char *)"#if !defined(DK_HAVE__OPEN)",
  (char *)"#define DK_HAVE__OPEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__OPEN */",
  (char *)"#if defined(DK_HAVE__OPEN)",
  (char *)"#undef  DK_HAVE__OPEN",
  (char *)"#endif",
#endif
#if HAVE__CLOSE
  (char *)"/*\t\t\t\t\t+\tHAVE__CLOSE */",
  (char *)"#if !defined(DK_HAVE__CLOSE)",
  (char *)"#define DK_HAVE__CLOSE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__CLOSE */",
  (char *)"#if defined(DK_HAVE__CLOSE)",
  (char *)"#undef  DK_HAVE__CLOSE",
  (char *)"#endif",
#endif
#if HAVE__READ
  (char *)"/*\t\t\t\t\t+\tHAVE__READ */",
  (char *)"#if !defined(DK_HAVE__READ)",
  (char *)"#define DK_HAVE__READ 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__READ */",
  (char *)"#if defined(DK_HAVE__READ)",
  (char *)"#undef  DK_HAVE__READ",
  (char *)"#endif",
#endif
#if HAVE__WRITE
  (char *)"/*\t\t\t\t\t+\tHAVE__WRITE */",
  (char *)"#if !defined(DK_HAVE__WRITE)",
  (char *)"#define DK_HAVE__WRITE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__WRITE */",
  (char *)"#if defined(DK_HAVE__WRITE)",
  (char *)"#undef  DK_HAVE__WRITE",
  (char *)"#endif",
#endif
#if HAVE__STAT
  (char *)"/*\t\t\t\t\t+\tHAVE__STAT */",
  (char *)"#if !defined(DK_HAVE__STAT)",
  (char *)"#define DK_HAVE__STAT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__STAT */",
  (char *)"#if defined(DK_HAVE__STAT)",
  (char *)"#undef  DK_HAVE__STAT",
  (char *)"#endif",
#endif
#if HAVE__STAT32
  (char *)"/*\t\t\t\t\t+\tHAVE__STAT32 */",
  (char *)"#if !defined(DK_HAVE__STAT32)",
  (char *)"#define DK_HAVE__STAT32 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__STAT32 */",
  (char *)"#if defined(DK_HAVE__STAT32)",
  (char *)"#undef  DK_HAVE__STAT32",
  (char *)"#endif",
#endif
#if HAVE__STAT64
  (char *)"/*\t\t\t\t\t+\tHAVE__STAT64 */",
  (char *)"#if !defined(DK_HAVE__STAT64)",
  (char *)"#define DK_HAVE__STAT64 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__STAT64 */",
  (char *)"#if defined(DK_HAVE__STAT64)",
  (char *)"#undef  DK_HAVE__STAT64",
  (char *)"#endif",
#endif
#if HAVE__LSTAT
  (char *)"/*\t\t\t\t\t+\tHAVE__LSTAT */",
  (char *)"#if !defined(DK_HAVE__LSTAT)",
  (char *)"#define DK_HAVE__LSTAT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__LSTAT */",
  (char *)"#if defined(DK_HAVE__LSTAT)",
  (char *)"#undef  DK_HAVE__LSTAT",
  (char *)"#endif",
#endif
#if HAVE__LSTAT32
  (char *)"/*\t\t\t\t\t+\tHAVE__LSTAT32 */",
  (char *)"#if !defined(DK_HAVE__LSTAT32)",
  (char *)"#define DK_HAVE__LSTAT32 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__LSTAT32 */",
  (char *)"#if defined(DK_HAVE__LSTAT32)",
  (char *)"#undef  DK_HAVE__LSTAT32",
  (char *)"#endif",
#endif
#if HAVE__LSTAT64
  (char *)"/*\t\t\t\t\t+\tHAVE__LSTAT64 */",
  (char *)"#if !defined(DK_HAVE__LSTAT64)",
  (char *)"#define DK_HAVE__LSTAT64 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__LSTAT64 */",
  (char *)"#if defined(DK_HAVE__LSTAT64)",
  (char *)"#undef  DK_HAVE__LSTAT64",
  (char *)"#endif",
#endif
#if HAVE__MKDIR
  (char *)"/*\t\t\t\t\t+\tHAVE__MKDIR */",
  (char *)"#if !defined(DK_HAVE__MKDIR)",
  (char *)"#define DK_HAVE__MKDIR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__MKDIR */",
  (char *)"#if defined(DK_HAVE__MKDIR)",
  (char *)"#undef  DK_HAVE__MKDIR",
  (char *)"#endif",
#endif
#if HAVE__REMOVE
  (char *)"/*\t\t\t\t\t+\tHAVE__REMOVE */",
  (char *)"#if !defined(DK_HAVE__REMOVE)",
  (char *)"#define DK_HAVE__REMOVE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__REMOVE */",
  (char *)"#if defined(DK_HAVE__REMOVE)",
  (char *)"#undef  DK_HAVE__REMOVE",
  (char *)"#endif",
#endif
#if HAVE__FILENO
  (char *)"/*\t\t\t\t\t+\tHAVE__FILENO */",
  (char *)"#if !defined(DK_HAVE__FILENO)",
  (char *)"#define DK_HAVE__FILENO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__FILENO */",
  (char *)"#if defined(DK_HAVE__FILENO)",
  (char *)"#undef  DK_HAVE__FILENO",
  (char *)"#endif",
#endif
#if HAVE__LOCKING
  (char *)"/*\t\t\t\t\t+\tHAVE__LOCKING */",
  (char *)"#if !defined(DK_HAVE__LOCKING)",
  (char *)"#define DK_HAVE__LOCKING 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__LOCKING */",
  (char *)"#if defined(DK_HAVE__LOCKING)",
  (char *)"#undef  DK_HAVE__LOCKING",
  (char *)"#endif",
#endif
#if WORDS_BIGENDIAN
  (char *)"/*\t\t\t\t\t+\tWORDS_BIGENDIAN */",
  (char *)"#if !defined(DK_WORDS_BIGENDIAN)",
  (char *)"#define DK_WORDS_BIGENDIAN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tWORDS_BIGENDIAN */",
  (char *)"#if defined(DK_WORDS_BIGENDIAN)",
  (char *)"#undef  DK_WORDS_BIGENDIAN",
  (char *)"#endif",
#endif
#if HAVE_SYS_SYSTEMINFO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_SYSTEMINFO_H */",
  (char *)"#if !defined(DK_HAVE_SYS_SYSTEMINFO_H)",
  (char *)"#define DK_HAVE_SYS_SYSTEMINFO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_SYSTEMINFO_H */",
  (char *)"#if defined(DK_HAVE_SYS_SYSTEMINFO_H)",
  (char *)"#undef  DK_HAVE_SYS_SYSTEMINFO_H",
  (char *)"#endif",
#endif
#if HAVE_MATH_H
  (char *)"/*\t\t\t\t\t+\tHAVE_MATH_H */",
  (char *)"#if !defined(DK_HAVE_MATH_H)",
  (char *)"#define DK_HAVE_MATH_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_MATH_H */",
  (char *)"#if defined(DK_HAVE_MATH_H)",
  (char *)"#undef  DK_HAVE_MATH_H",
  (char *)"#endif",
#endif
#if HAVE_SYSLOG_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYSLOG_H */",
  (char *)"#if !defined(DK_HAVE_SYSLOG_H)",
  (char *)"#define DK_HAVE_SYSLOG_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYSLOG_H */",
  (char *)"#if defined(DK_HAVE_SYSLOG_H)",
  (char *)"#undef  DK_HAVE_SYSLOG_H",
  (char *)"#endif",
#endif
#if HAVE_ZLIB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_ZLIB_H */",
  (char *)"#if !defined(DK_HAVE_ZLIB_H)",
  (char *)"#define DK_HAVE_ZLIB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ZLIB_H */",
  (char *)"#if defined(DK_HAVE_ZLIB_H)",
  (char *)"#undef  DK_HAVE_ZLIB_H",
  (char *)"#endif",
#endif
#if HAVE_BZLIB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_BZLIB_H */",
  (char *)"#if !defined(DK_HAVE_BZLIB_H)",
  (char *)"#define DK_HAVE_BZLIB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_BZLIB_H */",
  (char *)"#if defined(DK_HAVE_BZLIB_H)",
  (char *)"#undef  DK_HAVE_BZLIB_H",
  (char *)"#endif",
#endif
#if HAVE_SYSINFO
  (char *)"/*\t\t\t\t\t+\tHAVE_SYSINFO */",
  (char *)"#if !defined(DK_HAVE_SYSINFO)",
  (char *)"#define DK_HAVE_SYSINFO 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYSINFO */",
  (char *)"#if defined(DK_HAVE_SYSINFO)",
  (char *)"#undef  DK_HAVE_SYSINFO",
  (char *)"#endif",
#endif
#if HAVE_CONIO_H
  (char *)"/*\t\t\t\t\t+\tHAVE_CONIO_H */",
  (char *)"#if !defined(DK_HAVE_CONIO_H)",
  (char *)"#define DK_HAVE_CONIO_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CONIO_H */",
  (char *)"#if defined(DK_HAVE_CONIO_H)",
  (char *)"#undef  DK_HAVE_CONIO_H",
  (char *)"#endif",
#endif
#if HAVE_NDBM_H
  (char *)"/*\t\t\t\t\t+\tHAVE_NDBM_H */",
  (char *)"#if !defined(DK_HAVE_NDBM_H)",
  (char *)"#define DK_HAVE_NDBM_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NDBM_H */",
  (char *)"#if defined(DK_HAVE_NDBM_H)",
  (char *)"#undef  DK_HAVE_NDBM_H",
  (char *)"#endif",
#endif
#if HAVE_GDBM_H
  (char *)"/*\t\t\t\t\t+\tHAVE_GDBM_H */",
  (char *)"#if !defined(DK_HAVE_GDBM_H)",
  (char *)"#define DK_HAVE_GDBM_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GDBM_H */",
  (char *)"#if defined(DK_HAVE_GDBM_H)",
  (char *)"#undef  DK_HAVE_GDBM_H",
  (char *)"#endif",
#endif
#if HAVE_DB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_DB_H */",
  (char *)"#if !defined(DK_HAVE_DB_H)",
  (char *)"#define DK_HAVE_DB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DB_H */",
  (char *)"#if defined(DK_HAVE_DB_H)",
  (char *)"#undef  DK_HAVE_DB_H",
  (char *)"#endif",
#endif
#if HAVE__GETCH
  (char *)"/*\t\t\t\t\t+\tHAVE__GETCH */",
  (char *)"#if !defined(DK_HAVE__GETCH)",
  (char *)"#define DK_HAVE__GETCH 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__GETCH */",
  (char *)"#if defined(DK_HAVE__GETCH)",
  (char *)"#undef  DK_HAVE__GETCH",
  (char *)"#endif",
#endif
#if HAVE__KBHIT
  (char *)"/*\t\t\t\t\t+\tHAVE__KBHIT */",
  (char *)"#if !defined(DK_HAVE__KBHIT)",
  (char *)"#define DK_HAVE__KBHIT 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__KBHIT */",
  (char *)"#if defined(DK_HAVE__KBHIT)",
  (char *)"#undef  DK_HAVE__KBHIT",
  (char *)"#endif",
#endif
#if HAVE_SLEEP
  (char *)"/*\t\t\t\t\t+\tHAVE_SLEEP */",
  (char *)"#if !defined(DK_HAVE_SLEEP)",
  (char *)"#define DK_HAVE_SLEEP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SLEEP */",
  (char *)"#if defined(DK_HAVE_SLEEP)",
  (char *)"#undef  DK_HAVE_SLEEP",
  (char *)"#endif",
#endif
#if HAVE_GETMODULEFILENAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETMODULEFILENAME */",
  (char *)"#if !defined(DK_HAVE_GETMODULEFILENAME)",
  (char *)"#define DK_HAVE_GETMODULEFILENAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETMODULEFILENAME */",
  (char *)"#if defined(DK_HAVE_GETMODULEFILENAME)",
  (char *)"#undef  DK_HAVE_GETMODULEFILENAME",
  (char *)"#endif",
#endif
#if HAVE_GETMODULEHANDLE
  (char *)"/*\t\t\t\t\t+\tHAVE_GETMODULEHANDLE */",
  (char *)"#if !defined(DK_HAVE_GETMODULEHANDLE)",
  (char *)"#define DK_HAVE_GETMODULEHANDLE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETMODULEHANDLE */",
  (char *)"#if defined(DK_HAVE_GETMODULEHANDLE)",
  (char *)"#undef  DK_HAVE_GETMODULEHANDLE",
  (char *)"#endif",
#endif
#if HAVE_GETCOMPUTERNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETCOMPUTERNAME */",
  (char *)"#if !defined(DK_HAVE_GETCOMPUTERNAME)",
  (char *)"#define DK_HAVE_GETCOMPUTERNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETCOMPUTERNAME */",
  (char *)"#if defined(DK_HAVE_GETCOMPUTERNAME)",
  (char *)"#undef  DK_HAVE_GETCOMPUTERNAME",
  (char *)"#endif",
#endif
#if HAVE_GETWINDOWSDIRECTORY
  (char *)"/*\t\t\t\t\t+\tHAVE_GETWINDOWSDIRECTORY */",
  (char *)"#if !defined(DK_HAVE_GETWINDOWSDIRECTORY)",
  (char *)"#define DK_HAVE_GETWINDOWSDIRECTORY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETWINDOWSDIRECTORY */",
  (char *)"#if defined(DK_HAVE_GETWINDOWSDIRECTORY)",
  (char *)"#undef  DK_HAVE_GETWINDOWSDIRECTORY",
  (char *)"#endif",
#endif
#if HAVE_GETSYSTEMDIRECTORY
  (char *)"/*\t\t\t\t\t+\tHAVE_GETSYSTEMDIRECTORY */",
  (char *)"#if !defined(DK_HAVE_GETSYSTEMDIRECTORY)",
  (char *)"#define DK_HAVE_GETSYSTEMDIRECTORY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETSYSTEMDIRECTORY */",
  (char *)"#if defined(DK_HAVE_GETSYSTEMDIRECTORY)",
  (char *)"#undef  DK_HAVE_GETSYSTEMDIRECTORY",
  (char *)"#endif",
#endif
#if HAVE_GETCURRENTDIRECTORY
  (char *)"/*\t\t\t\t\t+\tHAVE_GETCURRENTDIRECTORY */",
  (char *)"#if !defined(DK_HAVE_GETCURRENTDIRECTORY)",
  (char *)"#define DK_HAVE_GETCURRENTDIRECTORY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETCURRENTDIRECTORY */",
  (char *)"#if defined(DK_HAVE_GETCURRENTDIRECTORY)",
  (char *)"#undef  DK_HAVE_GETCURRENTDIRECTORY",
  (char *)"#endif",
#endif
#if HAVE_GETCURRENTPROCESSID
  (char *)"/*\t\t\t\t\t+\tHAVE_GETCURRENTPROCESSID */",
  (char *)"#if !defined(DK_HAVE_GETCURRENTPROCESSID)",
  (char *)"#define DK_HAVE_GETCURRENTPROCESSID 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETCURRENTPROCESSID */",
  (char *)"#if defined(DK_HAVE_GETCURRENTPROCESSID)",
  (char *)"#undef  DK_HAVE_GETCURRENTPROCESSID",
  (char *)"#endif",
#endif
#if HAVE_GETUSERNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETUSERNAME */",
  (char *)"#if !defined(DK_HAVE_GETUSERNAME)",
  (char *)"#define DK_HAVE_GETUSERNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETUSERNAME */",
  (char *)"#if defined(DK_HAVE_GETUSERNAME)",
  (char *)"#undef  DK_HAVE_GETUSERNAME",
  (char *)"#endif",
#endif
#if HAVE_GETSTDHANDLE
  (char *)"/*\t\t\t\t\t+\tHAVE_GETSTDHANDLE */",
  (char *)"#if !defined(DK_HAVE_GETSTDHANDLE)",
  (char *)"#define DK_HAVE_GETSTDHANDLE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETSTDHANDLE */",
  (char *)"#if defined(DK_HAVE_GETSTDHANDLE)",
  (char *)"#undef  DK_HAVE_GETSTDHANDLE",
  (char *)"#endif",
#endif
#if HAVE_WCHAR_H
  (char *)"/*\t\t\t\t\t+\tHAVE_WCHAR_H */",
  (char *)"#if !defined(DK_HAVE_WCHAR_H)",
  (char *)"#define DK_HAVE_WCHAR_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCHAR_H */",
  (char *)"#if defined(DK_HAVE_WCHAR_H)",
  (char *)"#undef  DK_HAVE_WCHAR_H",
  (char *)"#endif",
#endif
#if HAVE_WCHAR_T
  (char *)"/*\t\t\t\t\t+\tHAVE_WCHAR_T */",
  (char *)"#if !defined(DK_HAVE_WCHAR_T)",
  (char *)"#define DK_HAVE_WCHAR_T 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCHAR_T */",
  (char *)"#if defined(DK_HAVE_WCHAR_T)",
  (char *)"#undef  DK_HAVE_WCHAR_T",
  (char *)"#endif",
#endif
#if HAVE_WCSCHR
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSCHR */",
  (char *)"#if !defined(DK_HAVE_WCSCHR)",
  (char *)"#define DK_HAVE_WCSCHR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSCHR */",
  (char *)"#if defined(DK_HAVE_WCSCHR)",
  (char *)"#undef  DK_HAVE_WCSCHR",
  (char *)"#endif",
#endif
#if HAVE_WCSRCHR
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSRCHR */",
  (char *)"#if !defined(DK_HAVE_WCSRCHR)",
  (char *)"#define DK_HAVE_WCSRCHR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSRCHR */",
  (char *)"#if defined(DK_HAVE_WCSRCHR)",
  (char *)"#undef  DK_HAVE_WCSRCHR",
  (char *)"#endif",
#endif
#if HAVE_WCSCASECMP
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSCASECMP */",
  (char *)"#if !defined(DK_HAVE_WCSCASECMP)",
  (char *)"#define DK_HAVE_WCSCASECMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSCASECMP */",
  (char *)"#if defined(DK_HAVE_WCSCASECMP)",
  (char *)"#undef  DK_HAVE_WCSCASECMP",
  (char *)"#endif",
#endif
#if HAVE_WCSICMP
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSICMP */",
  (char *)"#if !defined(DK_HAVE_WCSICMP)",
  (char *)"#define DK_HAVE_WCSICMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSICMP */",
  (char *)"#if defined(DK_HAVE_WCSICMP)",
  (char *)"#undef  DK_HAVE_WCSICMP",
  (char *)"#endif",
#endif
#if HAVE_WCSLEN
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSLEN */",
  (char *)"#if !defined(DK_HAVE_WCSLEN)",
  (char *)"#define DK_HAVE_WCSLEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSLEN */",
  (char *)"#if defined(DK_HAVE_WCSLEN)",
  (char *)"#undef  DK_HAVE_WCSLEN",
  (char *)"#endif",
#endif
#if HAVE_WCSCMP
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSCMP */",
  (char *)"#if !defined(DK_HAVE_WCSCMP)",
  (char *)"#define DK_HAVE_WCSCMP 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSCMP */",
  (char *)"#if defined(DK_HAVE_WCSCMP)",
  (char *)"#undef  DK_HAVE_WCSCMP",
  (char *)"#endif",
#endif
#if HAVE_WCSCPY
  (char *)"/*\t\t\t\t\t+\tHAVE_WCSCPY */",
  (char *)"#if !defined(DK_HAVE_WCSCPY)",
  (char *)"#define DK_HAVE_WCSCPY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_WCSCPY */",
  (char *)"#if defined(DK_HAVE_WCSCPY)",
  (char *)"#undef  DK_HAVE_WCSCPY",
  (char *)"#endif",
#endif
#if HAVE_SETMODE
  (char *)"/*\t\t\t\t\t+\tHAVE_SETMODE */",
  (char *)"#if !defined(DK_HAVE_SETMODE)",
  (char *)"#define DK_HAVE_SETMODE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETMODE */",
  (char *)"#if defined(DK_HAVE_SETMODE)",
  (char *)"#undef  DK_HAVE_SETMODE",
  (char *)"#endif",
#endif
#if HAVE_DOSWIN_SETMODE
  (char *)"/*\t\t\t\t\t+\tHAVE_DOSWIN_SETMODE */",
  (char *)"#if !defined(DK_HAVE_DOSWIN_SETMODE)",
  (char *)"#define DK_HAVE_DOSWIN_SETMODE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DOSWIN_SETMODE */",
  (char *)"#if defined(DK_HAVE_DOSWIN_SETMODE)",
  (char *)"#undef  DK_HAVE_DOSWIN_SETMODE",
  (char *)"#endif",
#endif
#if HAVE_FDOPEN
  (char *)"/*\t\t\t\t\t+\tHAVE_FDOPEN */",
  (char *)"#if !defined(DK_HAVE_FDOPEN)",
  (char *)"#define DK_HAVE_FDOPEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FDOPEN */",
  (char *)"#if defined(DK_HAVE_FDOPEN)",
  (char *)"#undef  DK_HAVE_FDOPEN",
  (char *)"#endif",
#endif
#if HAVE__SETMODE
  (char *)"/*\t\t\t\t\t+\tHAVE__SETMODE */",
  (char *)"#if !defined(DK_HAVE__SETMODE)",
  (char *)"#define DK_HAVE__SETMODE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__SETMODE */",
  (char *)"#if defined(DK_HAVE__SETMODE)",
  (char *)"#undef  DK_HAVE__SETMODE",
  (char *)"#endif",
#endif
#if HAVE__FDOPEN
  (char *)"/*\t\t\t\t\t+\tHAVE__FDOPEN */",
  (char *)"#if !defined(DK_HAVE__FDOPEN)",
  (char *)"#define DK_HAVE__FDOPEN 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE__FDOPEN */",
  (char *)"#if defined(DK_HAVE__FDOPEN)",
  (char *)"#undef  DK_HAVE__FDOPEN",
  (char *)"#endif",
#endif
#if HAVE_FNCASEINS
  (char *)"/*\t\t\t\t\t+\tHAVE_FNCASEINS */",
  (char *)"#if !defined(DK_HAVE_FNCASEINS)",
  (char *)"#define DK_HAVE_FNCASEINS 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FNCASEINS */",
  (char *)"#if defined(DK_HAVE_FNCASEINS)",
  (char *)"#undef  DK_HAVE_FNCASEINS",
  (char *)"#endif",
#endif
#if HAVE_SOCKLEN_T
  (char *)"/*\t\t\t\t\t+\tHAVE_SOCKLEN_T */",
  (char *)"#if !defined(DK_HAVE_SOCKLEN_T)",
  (char *)"#define DK_HAVE_SOCKLEN_T 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SOCKLEN_T */",
  (char *)"#if defined(DK_HAVE_SOCKLEN_T)",
  (char *)"#undef  DK_HAVE_SOCKLEN_T",
  (char *)"#endif",
#endif
#if HAVE_SIZE_T
  (char *)"/*\t\t\t\t\t+\tHAVE_SIZE_T */",
  (char *)"#if !defined(DK_HAVE_SIZE_T)",
  (char *)"#define DK_HAVE_SIZE_T 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SIZE_T */",
  (char *)"#if defined(DK_HAVE_SIZE_T)",
  (char *)"#undef  DK_HAVE_SIZE_T",
  (char *)"#endif",
#endif
#if HAVE_STDARG_H
  (char *)"/*\t\t\t\t\t+\tHAVE_STDARG_H */",
  (char *)"#if !defined(DK_HAVE_STDARG_H)",
  (char *)"#define DK_HAVE_STDARG_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_STDARG_H */",
  (char *)"#if defined(DK_HAVE_STDARG_H)",
  (char *)"#undef  DK_HAVE_STDARG_H",
  (char *)"#endif",
#endif
#if HAVE_VARARG_H
  (char *)"/*\t\t\t\t\t+\tHAVE_VARARG_H */",
  (char *)"#if !defined(DK_HAVE_VARARG_H)",
  (char *)"#define DK_HAVE_VARARG_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_VARARG_H */",
  (char *)"#if defined(DK_HAVE_VARARG_H)",
  (char *)"#undef  DK_HAVE_VARARG_H",
  (char *)"#endif",
#endif
#if HAVE_VARARGS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_VARARGS_H */",
  (char *)"#if !defined(DK_HAVE_VARARGS_H)",
  (char *)"#define DK_HAVE_VARARGS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_VARARGS_H */",
  (char *)"#if defined(DK_HAVE_VARARGS_H)",
  (char *)"#undef  DK_HAVE_VARARGS_H",
  (char *)"#endif",
#endif
#if HAVE_TERMIOS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_TERMIOS_H */",
  (char *)"#if !defined(DK_HAVE_TERMIOS_H)",
  (char *)"#define DK_HAVE_TERMIOS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_TERMIOS_H */",
  (char *)"#if defined(DK_HAVE_TERMIOS_H)",
  (char *)"#undef  DK_HAVE_TERMIOS_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_TERMIOS_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_TERMIOS_H */",
  (char *)"#if !defined(DK_HAVE_SYS_TERMIOS_H)",
  (char *)"#define DK_HAVE_SYS_TERMIOS_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_TERMIOS_H */",
  (char *)"#if defined(DK_HAVE_SYS_TERMIOS_H)",
  (char *)"#undef  DK_HAVE_SYS_TERMIOS_H",
  (char *)"#endif",
#endif
#if HAVE_SYS_TTOLD_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SYS_TTOLD_H */",
  (char *)"#if !defined(DK_HAVE_SYS_TTOLD_H)",
  (char *)"#define DK_HAVE_SYS_TTOLD_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SYS_TTOLD_H */",
  (char *)"#if defined(DK_HAVE_SYS_TTOLD_H)",
  (char *)"#undef  DK_HAVE_SYS_TTOLD_H",
  (char *)"#endif",
#endif
#if HAVE_CRYPT_H
  (char *)"/*\t\t\t\t\t+\tHAVE_CRYPT_H */",
  (char *)"#if !defined(DK_HAVE_CRYPT_H)",
  (char *)"#define DK_HAVE_CRYPT_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CRYPT_H */",
  (char *)"#if defined(DK_HAVE_CRYPT_H)",
  (char *)"#undef  DK_HAVE_CRYPT_H",
  (char *)"#endif",
#endif
#if HAVE_SETJMP_H
  (char *)"/*\t\t\t\t\t+\tHAVE_SETJMP_H */",
  (char *)"#if !defined(DK_HAVE_SETJMP_H)",
  (char *)"#define DK_HAVE_SETJMP_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETJMP_H */",
  (char *)"#if defined(DK_HAVE_SETJMP_H)",
  (char *)"#undef  DK_HAVE_SETJMP_H",
  (char *)"#endif",
#endif
#if HAVE_ISATTY
  (char *)"/*\t\t\t\t\t+\tHAVE_ISATTY */",
  (char *)"#if !defined(DK_HAVE_ISATTY)",
  (char *)"#define DK_HAVE_ISATTY 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_ISATTY */",
  (char *)"#if defined(DK_HAVE_ISATTY)",
  (char *)"#undef  DK_HAVE_ISATTY",
  (char *)"#endif",
#endif
#if HAVE_TCGETATTR
  (char *)"/*\t\t\t\t\t+\tHAVE_TCGETATTR */",
  (char *)"#if !defined(DK_HAVE_TCGETATTR)",
  (char *)"#define DK_HAVE_TCGETATTR 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_TCGETATTR */",
  (char *)"#if defined(DK_HAVE_TCGETATTR)",
  (char *)"#undef  DK_HAVE_TCGETATTR",
  (char *)"#endif",
#endif
#if HAVE_TCFLUSH
  (char *)"/*\t\t\t\t\t+\tHAVE_TCFLUSH */",
  (char *)"#if !defined(DK_HAVE_TCFLUSH)",
  (char *)"#define DK_HAVE_TCFLUSH 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_TCFLUSH */",
  (char *)"#if defined(DK_HAVE_TCFLUSH)",
  (char *)"#undef  DK_HAVE_TCFLUSH",
  (char *)"#endif",
#endif
#if HAVE_SNPRINTF
  (char *)"/*\t\t\t\t\t+\tHAVE_SNPRINTF */",
  (char *)"#if !defined(DK_HAVE_SNPRINTF)",
  (char *)"#define DK_HAVE_SNPRINTF 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SNPRINTF */",
  (char *)"#if defined(DK_HAVE_SNPRINTF)",
  (char *)"#undef  DK_HAVE_SNPRINTF",
  (char *)"#endif",
#endif
#if HAVE_GETPEERNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETPEERNAME */",
  (char *)"#if !defined(DK_HAVE_GETPEERNAME)",
  (char *)"#define DK_HAVE_GETPEERNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETPEERNAME */",
  (char *)"#if defined(DK_HAVE_GETPEERNAME)",
  (char *)"#undef  DK_HAVE_GETPEERNAME",
  (char *)"#endif",
#endif
#if HAVE_GETSOCKNAME
  (char *)"/*\t\t\t\t\t+\tHAVE_GETSOCKNAME */",
  (char *)"#if !defined(DK_HAVE_GETSOCKNAME)",
  (char *)"#define DK_HAVE_GETSOCKNAME 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_GETSOCKNAME */",
  (char *)"#if defined(DK_HAVE_GETSOCKNAME)",
  (char *)"#undef  DK_HAVE_GETSOCKNAME",
  (char *)"#endif",
#endif
#if HAVE_PNG_H
  (char *)"/*\t\t\t\t\t+\tHAVE_PNG_H */",
  (char *)"#if !defined(DK_HAVE_PNG_H)",
  (char *)"#define DK_HAVE_PNG_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_PNG_H */",
  (char *)"#if defined(DK_HAVE_PNG_H)",
  (char *)"#undef  DK_HAVE_PNG_H",
  (char *)"#endif",
#endif
#if HAVE_JPEGLIB_H
  (char *)"/*\t\t\t\t\t+\tHAVE_JPEGLIB_H */",
  (char *)"#if !defined(DK_HAVE_JPEGLIB_H)",
  (char *)"#define DK_HAVE_JPEGLIB_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_JPEGLIB_H */",
  (char *)"#if defined(DK_HAVE_JPEGLIB_H)",
  (char *)"#undef  DK_HAVE_JPEGLIB_H",
  (char *)"#endif",
#endif
#if HAVE_PNM_H
  (char *)"/*\t\t\t\t\t+\tHAVE_PNM_H */",
  (char *)"#if !defined(DK_HAVE_PNM_H)",
  (char *)"#define DK_HAVE_PNM_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_PNM_H */",
  (char *)"#if defined(DK_HAVE_PNM_H)",
  (char *)"#undef  DK_HAVE_PNM_H",
  (char *)"#endif",
#endif
#if HAVE_TIFF_H
  (char *)"/*\t\t\t\t\t+\tHAVE_TIFF_H */",
  (char *)"#if !defined(DK_HAVE_TIFF_H)",
  (char *)"#define DK_HAVE_TIFF_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_TIFF_H */",
  (char *)"#if defined(DK_HAVE_TIFF_H)",
  (char *)"#undef  DK_HAVE_TIFF_H",
  (char *)"#endif",
#endif
#if HAVE_CHMOD
  (char *)"/*\t\t\t\t\t+\tHAVE_CHMOD */",
  (char *)"#if !defined(DK_HAVE_CHMOD)",
  (char *)"#define DK_HAVE_CHMOD 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_CHMOD */",
  (char *)"#if defined(DK_HAVE_CHMOD)",
  (char *)"#undef  DK_HAVE_CHMOD",
  (char *)"#endif",
#endif
#if HAVE_FCHMOD
  (char *)"/*\t\t\t\t\t+\tHAVE_FCHMOD */",
  (char *)"#if !defined(DK_HAVE_FCHMOD)",
  (char *)"#define DK_HAVE_FCHMOD 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_FCHMOD */",
  (char *)"#if defined(DK_HAVE_FCHMOD)",
  (char *)"#undef  DK_HAVE_FCHMOD",
  (char *)"#endif",
#endif
#if HAVE_OPENSSL_RAND_H
  (char *)"/*\t\t\t\t\t+\tHAVE_OPENSSL_RAND_H */",
  (char *)"#if !defined(DK_HAVE_OPENSSL_RAND_H)",
  (char *)"#define DK_HAVE_OPENSSL_RAND_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_OPENSSL_RAND_H */",
  (char *)"#if defined(DK_HAVE_OPENSSL_RAND_H)",
  (char *)"#undef  DK_HAVE_OPENSSL_RAND_H",
  (char *)"#endif",
#endif
#if HAVE_OPENSSL_SHA_H
  (char *)"/*\t\t\t\t\t+\tHAVE_OPENSSL_SHA_H */",
  (char *)"#if !defined(DK_HAVE_OPENSSL_SHA_H)",
  (char *)"#define DK_HAVE_OPENSSL_SHA_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_OPENSSL_SHA_H */",
  (char *)"#if defined(DK_HAVE_OPENSSL_SHA_H)",
  (char *)"#undef  DK_HAVE_OPENSSL_SHA_H",
  (char *)"#endif",
#endif
#if HAVE_OPENSSL_MD5_H
  (char *)"/*\t\t\t\t\t+\tHAVE_OPENSSL_MD5_H */",
  (char *)"#if !defined(DK_HAVE_OPENSSL_MD5_H)",
  (char *)"#define DK_HAVE_OPENSSL_MD5_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_OPENSSL_MD5_H */",
  (char *)"#if defined(DK_HAVE_OPENSSL_MD5_H)",
  (char *)"#undef  DK_HAVE_OPENSSL_MD5_H",
  (char *)"#endif",
#endif
#if HAVE_OPENSSL_RIPEMD_H
  (char *)"/*\t\t\t\t\t+\tHAVE_OPENSSL_RIPEMD_H */",
  (char *)"#if !defined(DK_HAVE_OPENSSL_RIPEMD_H)",
  (char *)"#define DK_HAVE_OPENSSL_RIPEMD_H 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_OPENSSL_RIPEMD_H */",
  (char *)"#if defined(DK_HAVE_OPENSSL_RIPEMD_H)",
  (char *)"#undef  DK_HAVE_OPENSSL_RIPEMD_H",
  (char *)"#endif",
#endif
#if HAVE_SHA224
  (char *)"/*\t\t\t\t\t+\tHAVE_SHA224 */",
  (char *)"#if !defined(DK_HAVE_SHA224)",
  (char *)"#define DK_HAVE_SHA224 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SHA224 */",
  (char *)"#if defined(DK_HAVE_SHA224)",
  (char *)"#undef  DK_HAVE_SHA224",
  (char *)"#endif",
#endif
#if HAVE_SHA256
  (char *)"/*\t\t\t\t\t+\tHAVE_SHA256 */",
  (char *)"#if !defined(DK_HAVE_SHA256)",
  (char *)"#define DK_HAVE_SHA256 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SHA256 */",
  (char *)"#if defined(DK_HAVE_SHA256)",
  (char *)"#undef  DK_HAVE_SHA256",
  (char *)"#endif",
#endif
#if HAVE_SHA384
  (char *)"/*\t\t\t\t\t+\tHAVE_SHA384 */",
  (char *)"#if !defined(DK_HAVE_SHA384)",
  (char *)"#define DK_HAVE_SHA384 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SHA384 */",
  (char *)"#if defined(DK_HAVE_SHA384)",
  (char *)"#undef  DK_HAVE_SHA384",
  (char *)"#endif",
#endif
#if HAVE_SHA512
  (char *)"/*\t\t\t\t\t+\tHAVE_SHA512 */",
  (char *)"#if !defined(DK_HAVE_SHA512)",
  (char *)"#define DK_HAVE_SHA512 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SHA512 */",
  (char *)"#if defined(DK_HAVE_SHA512)",
  (char *)"#undef  DK_HAVE_SHA512",
  (char *)"#endif",
#endif
#if HAVE_RAND
  (char *)"/*\t\t\t\t\t+\tHAVE_RAND */",
  (char *)"#if !defined(DK_HAVE_RAND)",
  (char *)"#define DK_HAVE_RAND 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RAND */",
  (char *)"#if defined(DK_HAVE_RAND)",
  (char *)"#undef  DK_HAVE_RAND",
  (char *)"#endif",
#endif
#if HAVE_SRAND
  (char *)"/*\t\t\t\t\t+\tHAVE_SRAND */",
  (char *)"#if !defined(DK_HAVE_SRAND)",
  (char *)"#define DK_HAVE_SRAND 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SRAND */",
  (char *)"#if defined(DK_HAVE_SRAND)",
  (char *)"#undef  DK_HAVE_SRAND",
  (char *)"#endif",
#endif
#if HAVE_INITSTATE
  (char *)"/*\t\t\t\t\t+\tHAVE_INITSTATE */",
  (char *)"#if !defined(DK_HAVE_INITSTATE)",
  (char *)"#define DK_HAVE_INITSTATE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_INITSTATE */",
  (char *)"#if defined(DK_HAVE_INITSTATE)",
  (char *)"#undef  DK_HAVE_INITSTATE",
  (char *)"#endif",
#endif
#if HAVE_SETSTATE
  (char *)"/*\t\t\t\t\t+\tHAVE_SETSTATE */",
  (char *)"#if !defined(DK_HAVE_SETSTATE)",
  (char *)"#define DK_HAVE_SETSTATE 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SETSTATE */",
  (char *)"#if defined(DK_HAVE_SETSTATE)",
  (char *)"#undef  DK_HAVE_SETSTATE",
  (char *)"#endif",
#endif
#if HAVE_RANDOM
  (char *)"/*\t\t\t\t\t+\tHAVE_RANDOM */",
  (char *)"#if !defined(DK_HAVE_RANDOM)",
  (char *)"#define DK_HAVE_RANDOM 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_RANDOM */",
  (char *)"#if defined(DK_HAVE_RANDOM)",
  (char *)"#undef  DK_HAVE_RANDOM",
  (char *)"#endif",
#endif
#if HAVE_LRAND48
  (char *)"/*\t\t\t\t\t+\tHAVE_LRAND48 */",
  (char *)"#if !defined(DK_HAVE_LRAND48)",
  (char *)"#define DK_HAVE_LRAND48 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_LRAND48 */",
  (char *)"#if defined(DK_HAVE_LRAND48)",
  (char *)"#undef  DK_HAVE_LRAND48",
  (char *)"#endif",
#endif
#if HAVE_SEED48
  (char *)"/*\t\t\t\t\t+\tHAVE_SEED48 */",
  (char *)"#if !defined(DK_HAVE_SEED48)",
  (char *)"#define DK_HAVE_SEED48 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_SEED48 */",
  (char *)"#if defined(DK_HAVE_SEED48)",
  (char *)"#undef  DK_HAVE_SEED48",
  (char *)"#endif",
#endif
#if HAVE_NRAND48
  (char *)"/*\t\t\t\t\t+\tHAVE_NRAND48 */",
  (char *)"#if !defined(DK_HAVE_NRAND48)",
  (char *)"#define DK_HAVE_NRAND48 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_NRAND48 */",
  (char *)"#if defined(DK_HAVE_NRAND48)",
  (char *)"#undef  DK_HAVE_NRAND48",
  (char *)"#endif",
#endif
#if HAVE_DEV_URANDOM
  (char *)"/*\t\t\t\t\t+\tHAVE_DEV_URANDOM */",
  (char *)"#if !defined(DK_HAVE_DEV_URANDOM)",
  (char *)"#define DK_HAVE_DEV_URANDOM 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DEV_URANDOM */",
  (char *)"#if defined(DK_HAVE_DEV_URANDOM)",
  (char *)"#undef  DK_HAVE_DEV_URANDOM",
  (char *)"#endif",
#endif
#if HAVE_DEV_RANDOM
  (char *)"/*\t\t\t\t\t+\tHAVE_DEV_RANDOM */",
  (char *)"#if !defined(DK_HAVE_DEV_RANDOM)",
  (char *)"#define DK_HAVE_DEV_RANDOM 1",
  (char *)"#endif",
#else
  (char *)"/*\t\t\t\t\t-\tHAVE_DEV_RANDOM */",
  (char *)"#if defined(DK_HAVE_DEV_RANDOM)",
  (char *)"#undef  DK_HAVE_DEV_RANDOM",
  (char *)"#endif",
#endif
  (char *)"#endif",
  NULL
} ;

int main(int argc, char *argv[])
{
  char **ptr;
  ptr = config_options;
  while(*ptr) {
    printf("%s\n", *(ptr++));
  }
  return 0;
}
