#include "dkbif.h"
#include "dkbifi.h"
#include "pnm.h"

#include "dkstr.h"

static
void
run_for(char *filename)
{
  FILE *f;
  int rows = 0, cols = 0, format = 0;
  xel **array;
  xelval maxxelval;
  f = fopen(filename, "rb");
  if(f) {
    pnm_readpnminit(f,&cols,&rows,&maxxelval,&format);
    printf(
      "%s: w=%d h=%d max=%d format=%d\n",
      filename, cols, rows, maxxelval, format
    );
    fclose(f); f = NULL;
  } else {
    printf("%s: ERROR: Failed to open file!\n", filename);
  }
}


static char buffer[4096];

int main(int argc, char *argv[])
{
  char *p;
  int i;
  if(argc > 1) {
    for(i = 1; i < argc; i++) { run_for(argv[i]); }
  } else {
    while(fgets(buffer, sizeof(buffer), stdin)) {
      p = dkstr_start(buffer, NULL);
      if(p) {
        dkstr_chomp(p, NULL);
	run_for(p);
      }
    }
  }
  exit(0); return 0;
}



#ifndef LINT
static char sccs_id[] = {
"@(#)pbmreport.ctr 1.2 02/03/09\tbmeps2"
};
#endif

