#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "ppport.h"

#include "const-c.inc"

#include <dk.h>
#include <dkmem.h>
#include <dkstr.h>
#include <dkstream.h>
#include <dkof.h>

MODULE = DKrause::BitStream	PACKAGE = DKrause::BitStream	PREFIX = bs_

INCLUDE: const-xs.inc

PROTOTYPES: ENABLE

DKrause::BitStream
bs_new(s)
		DKrause::Stream s;
	PREINIT:
		dk_bitshift_wrapper_t	*back = NULL;
	CODE:
		if(s) {
		  if(s->s) {
		    switch((s->flags) & DK_STREAM_FLAGS_STATE_MASK) {
		      case DK_STREAM_FLAGS_STATE_USABLE: {
		        back = dk_new(dk_bitshift_wrapper_t,1);
			if(back) {
			  back->flags = DK_STREAM_FLAGS_STATE_USABLE;
			  back->t = dkof_bs_open(s->s);
			  if(!(back->t)) {
			    dk_delete(back); back = NULL;
			  }
			}
		      } break;
		    }
		  }
		}
		if(back) {
		  RETVAL = back;
		} else {
		  XSRETURN_UNDEF;
		}
	OUTPUT:
		RETVAL



void
bs_close(b)
		DKrause::BitStream b;
	CODE:
		if(b) {
		  if(b->t) {
		    switch((b->flags) & DK_STREAM_FLAGS_STATE_MASK) {
		      case DK_STREAM_FLAGS_STATE_USABLE: {
		        dkof_bs_flush(b->t);
		        dkof_bs_close(b->t);
			b->t = NULL;
			b->flags = DK_STREAM_FLAGS_STATE_CLOSED;
		      } break;
		    }
		  }
		}



void
bs_DESTROY(b)
		DKrause::BitStream b;
	CODE:
		if(b) {
		  if(b->t) {
		    switch((b->flags) & DK_STREAM_FLAGS_STATE_MASK) {
		      case DK_STREAM_FLAGS_STATE_USABLE: {
		        dkof_bs_flush(b->t);
		        dkof_bs_close(b->t);
			b->t = NULL;
			b->flags = DK_STREAM_FLAGS_STATE_CLOSED;
		      } break;
		    }
		  }
		}
		dk_delete(b);



int
bs_put(b,v,l)
		DKrause::BitStream b;
		unsigned short v;
		unsigned short l;
	CODE:
		if(b) {
		  if(b->t) {
		    switch((b->flags) & DK_STREAM_FLAGS_STATE_MASK) {
		      case DK_STREAM_FLAGS_STATE_USABLE: {
		        RETVAL = dkof_bs_put(b->t, v, l);
		      } break;
		      default: {
		        XSRETURN_UNDEF;
		      } break;
		    }
		  } else {
		    XSRETURN_UNDEF;
		  }
		} else {
		  XSRETURN_UNDEF;
		}
	OUTPUT:
		RETVAL



int
bs_flush(b)
		DKrause::BitStream b;
	CODE:
		if(b) {
		  if(b->t) {
		    switch((b->flags) & DK_STREAM_FLAGS_STATE_MASK) {
		      case DK_STREAM_FLAGS_STATE_USABLE: {
		        RETVAL = dkof_bs_flush(b->t);
		      } break;
		      default: {
		        XSRETURN_UNDEF;
		      } break;
		    }
		  } else {
		    XSRETURN_UNDEF;
		  }
		} else {
		  XSRETURN_UNDEF;
		}
	OUTPUT:
		RETVAL


