use DKrause::Stream;

my @objstart;
my $nextobj = 1;
$objstart[0] = 0;

sub start_object($)
{
  my $s = shift;
  $objstart[$nextobj] = $s->getBytesWritten();
  $s->puts("$nextobj 0 obj");
  $s->crnl();
  $nextobj++;
}

sub end_object($)
{
  my $s = shift;
  $s->puts("endobj"); $s->crnl();
}

sub finish_pdf_file($)
{
  my $s = shift;
  my $i = 0;
  my $pos = $s->getBytesWritten();
  $s->puts("xref"); $s->crnl();
  $s->puts("0 $nextobj"); $s->crnl();
  $s->puts("0000000000 65535 f");
  $s->crnl();
  for($i = 1; $i < $nextobj; $i++) {
    $s->puts(sprintf("\%010d 00000 n", $objstart[$i]));
    $s->crnl();
  }
  $s->puts("trailer"); $s->crnl();
  $s->puts("<</Size $nextobj /Info 1 0 R /Root 2 0 R>>");
  $s->crnl();
  $s->puts("startxref"); $s->crnl();
  $s->puts("$pos"); $s->crnl();
  $s->puts("\%\%EOF"); $s->crnl();
}

# create stream for PDF file
my $spdf = DKrause::Stream::new('flag.pdf', 'wb');
if($spdf) {
  # create encoding filter on top of spdf
  my $sc = $spdf->filter('ascii85', 'flate');
  if($sc) {
    $sc->setCrNl(1); 
    $spdf->puts("\%PDF-1.4"); $spdf->crnl();
    # info object (1)
    start_object($spdf);
    $spdf->puts("<</Producer (the PDF creation example)>>");
    $spdf->crnl();
    end_object($spdf);
    # root object (2)
    start_object($spdf);
    $spdf->puts("<</Type /Catalog /Pages 3 0 R>>");
    $spdf->crnl();
    end_object($spdf);
    # pages tree object (3)
    start_object($spdf);
    $spdf->puts("<</Type /Pages /Kids [4 0 R] /Count 1>>");
    $spdf->crnl();
    end_object($spdf);
    # page object (4)
    start_object($spdf);
    $spdf->puts("<<"); $spdf->crnl();
    $spdf->puts("/Type /Page"); $spdf->crnl();
    $spdf->puts("/Parent 3 0 R"); $spdf->crnl();
    $spdf->puts("/MediaBox [0 0 144 108]"); $spdf->crnl();
    $spdf->puts("/CropBox [0 0 144 108]"); $spdf->crnl();
    $spdf->puts("/Contents 5 0 R"); $spdf->crnl();
    $spdf->puts("/Rotate 0"); $spdf->crnl();
    $spdf->puts("/Resources <</ProcSet [/PDF]>>"); $spdf->crnl();
    $spdf->puts(">>"); $spdf->crnl();
    end_object($spdf);
    # content stream object (5)
    start_object($spdf);
    $spdf->puts("<</Length 6 0 R /Filter [/ASCII85Decode /FlateDecode]>>");
    $spdf->crnl();
    $spdf->puts("stream"); $spdf->crnl();
    my $startpos = $spdf->getBytesWritten();
    if($sc->startChunk()) {
      # save graphics state
      $sc->puts("q"); $sc->crnl();
      # background
      $sc->puts("0 0 m 144 0 l 144 108 l 0 108 l h W n");
      $sc->crnl();
      # rectangle 1
      $sc->puts("1 0.839 0 rg"); $sc->crnl();
      $sc->puts("0 0 m 144 0 l 144 36 l 0 36 l h f*");
      $sc->crnl();
      # rectangle 2
      $sc->puts("0.82 0 0 rg"); $sc->crnl();
      $sc->puts("0 36 m 144 36 l 144 72 l 0 72 l h f*");
      $sc->crnl();
      # rectangle 3
      $sc->puts("0 0 0 rg"); $sc->crnl();
      $sc->puts("0 72 m 144 72 l 144 108 l 0 108 l h f*");
      $sc->crnl();
      # restore graphics state
      $sc->puts("Q"); $sc->crnl();
      $sc->endChunk();
    }
    $spdf->crnl();
    my $endpos = $spdf->getBytesWritten();
    $spdf->puts("endstream"); $spdf->crnl();
    end_object($spdf);
    # content length object (6)
    start_object($spdf);
    $endpos = $endpos - $startpos;
    $spdf->puts("$endpos"); $spdf->crnl();
    end_object($spdf);
    # issue trailer and end of file...
    finish_pdf_file($spdf);
    # close encoding filter
    $sc->close();
  }
  # close output file
  $spdf->close();
}
