#include <dkmem.h>
#include <dklogc.h>
#include <dkapp.h>
#include <stdio.h>
#if DK_HAVE_STDLIB_H
#include <stdlib.h>
#endif

static char pkgname[]= { "hello" };
static char sysconfdir[] = { "/etc" };

static int success = 0;

static dk_key_value_t kv[] = {
  { "/msg/pan",	"Test panic message!" },
  { "/msg/fat",	"Test message for fatal error!" },
  { "/msg/err", "Test error message!" },
  { "/msg/wrn", "Test warning message!" },
  { "/msg/inf", "Test information message." },
  { "/msg/prg", "Test progress message." },
  { "/msg/dbg", "Test debug message." }
};
static size_t szkv = sizeof(kv)/sizeof(dk_key_value_t);

static char *an_array_of_strings[] = {
  "Jim ",
  "and Joe",
  " are drinking beer.",
};

int main(int argc, char *argv[]) {
  dk_app_t *app = NULL;
  char **msg = NULL;
  app = dkapp_open_ext1(argc, argv, pkgname, sysconfdir, 0, 0);
  if(app) {
    msg = dkapp_find_key_value(app, kv, szkv, "h04msg");
    if(msg) {
      success = 1;
      dkapp_log_msg(app, DK_LOG_LEVEL_PANIC,    &(msg[0]), 1);
      dkapp_log_msg(app, DK_LOG_LEVEL_FATAL,    &(msg[1]), 1);
      dkapp_log_msg(app, DK_LOG_LEVEL_ERROR,    &(msg[2]), 1);
      dkapp_log_msg(app, DK_LOG_LEVEL_WARNING,  &(msg[3]), 1);
      dkapp_log_msg(app, DK_LOG_LEVEL_INFO,     &(msg[4]), 1);
      dkapp_log_msg(app, DK_LOG_LEVEL_PROGRESS, &(msg[5]), 1);
      dkapp_log_msg(app, DK_LOG_LEVEL_DEBUG,    &(msg[6]), 1);
      dkapp_log_msg(app, DK_LOG_LEVEL_INFO,     an_array_of_strings, 3);
      dk_delete(msg);
    }
    dkapp_close(app); app = NULL;
  }
  success = (success ? 0 : 1);
  exit(success);
  return success;
}
